/*
 * Code for class EV_APPLICATION_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev2269.h"
#include <string.h>
#include "eif_except.h"
#include "eif_built_in.h"
#include <ev_gtk.h>
#include "eif_argv.h"
#include <stdlib.h>
#include "eif_main.h"
#include <gmodule.h>
#include "ev_c_util.h"
#include "eif_misc.h"
#include "eif_helpers.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F433_7393
static void inline_F433_7393 (EIF_POINTER arg1)
{
	return gdk_set_allowed_backends ( (const gchar*) arg1);
	;
}
#define INLINE_F433_7393
#endif
#ifndef INLINE_F1036_15680
static int inline_F1036_15680 (void)
{
	#ifdef WORKBENCH
	return EIF_TEST(is_debug_mode());
#else
	return EIF_FALSE;
#endif
	;
}
#define INLINE_F1036_15680
#endif
#ifndef INLINE_F433_7400
static EIF_POINTER inline_F433_7400 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gdk_display_get_default_screen ((GdkDisplay*) arg1))
	;
}
#define INLINE_F433_7400
#endif
#ifndef INLINE_F433_7556
static EIF_POINTER inline_F433_7556 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gdk_screen_get_system_visual ((GdkScreen*) arg1))
	;
}
#define INLINE_F433_7556
#endif
#ifndef INLINE_F433_7457
static EIF_INTEGER_32 inline_F433_7457 (EIF_POINTER arg1)
{
	return (EIF_INTEGER_32) (gdk_visual_get_depth ((GdkVisual*) arg1))
	;
}
#define INLINE_F433_7457
#endif
#ifndef INLINE_F345_5855
static void inline_F345_5855 (EIF_POINTER arg1)
{
	#ifdef GDK_WINDOWING_X11
	return gdk_x11_display_error_trap_push ((GdkDisplay *)arg1);
#endif
	;
}
#define INLINE_F345_5855
#endif
#ifndef INLINE_F433_7559
static EIF_POINTER inline_F433_7559 (void)
{
	return gdk_screen_get_default()
	;
}
#define INLINE_F433_7559
#endif
#ifndef INLINE_F3320_37926
static int inline_F3320_37926 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	return (FUNCTION_CAST(gboolean, (GdkScreen*)) arg1)((GdkScreen*) arg2);
	;
}
#define INLINE_F3320_37926
#endif
#ifndef INLINE_F433_7402
static EIF_INTEGER_32 inline_F433_7402 (EIF_POINTER arg1)
{
	return gdk_display_get_n_monitors ((GdkDisplay*) arg1)
	;
}
#define INLINE_F433_7402
#endif
#ifndef INLINE_F433_7408
static void inline_F433_7408 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	gdk_monitor_get_geometry ((GdkMonitor*) arg1, (GdkRectangle*) arg2)
	;
}
#define INLINE_F433_7408
#endif
#ifndef INLINE_F3320_38063
static void inline_F3320_38063 (EIF_POINTER arg1)
{
	{
				  GdkDisplay *display = gdk_display_get_default ();
				  int num_monitors = gdk_display_get_n_monitors (display);

				  gint x, y, w, h;

				  x = y = G_MAXINT;
				  w = h = G_MININT;

				  for (int i = 0; i < num_monitors; i++)
				    {
				      GdkRectangle rect;
				      GdkMonitor *monitor = gdk_display_get_monitor (display, i);
				      gdk_monitor_get_geometry (monitor, &rect);

				      x = MIN (x, rect.x);
				      y = MIN (y, rect.y);
				      w = MAX (w, rect.x + rect.width);
				      h = MAX (h, rect.y + rect.height);
				    }

				  ((GdkRectangle *)arg1)->width = w - x;
				  ((GdkRectangle *)arg1)->height = h - y;
				}
	;
}
#define INLINE_F3320_38063
#endif
#ifndef INLINE_F433_7407
static void inline_F433_7407 (EIF_POINTER arg1)
{
	gdk_display_flush ((GdkDisplay *)arg1);
	;
}
#define INLINE_F433_7407
#endif
#ifndef INLINE_F432_7372
static void inline_F432_7372 (EIF_POINTER arg1)
{
	g_object_unref((gpointer) arg1)
	;
}
#define INLINE_F432_7372
#endif
#ifndef INLINE_F356_6066
static EIF_POINTER inline_F356_6066 (void)
{
	return (GdkDevice*) gdk_seat_get_pointer((GdkSeat*) gdk_display_get_default_seat ((GdkDisplay*) gdk_display_get_default()));
	;
}
#define INLINE_F356_6066
#endif
#ifndef INLINE_F356_6063
static void inline_F356_6063 (EIF_POINTER arg1, EIF_INTEGER_32* arg2, EIF_INTEGER_32* arg3)
{
	return gdk_device_get_position ((GdkDevice*) arg1, NULL, (gint*) arg2, (gint*) arg3);
	;
}
#define INLINE_F356_6063
#endif
#ifndef INLINE_F1036_15679
static void inline_F1036_15679 (EIF_BOOLEAN arg1)
{
	#ifdef WORKBENCH
	set_debug_mode (arg1 ? 1 : 0);
#endif
	;
}
#define INLINE_F1036_15679
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_APPLICATION_IMP}.make */
void F3320_37920 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_REFERENCE tr5 = NULL;
	EIF_REFERENCE tr6 = NULL;
	EIF_REFERENCE tr7 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	RTCFDT;
	RTLD;
	
	RTLI(8);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLR(2,Current);
	RTLR(3,tr3);
	RTLR(4,tr4);
	RTLR(5,tr5);
	RTLR(6,tr6);
	RTLR(7,tr7);
	RTLIU(8);
	
	RTEAA("make", 3319, Current, 0, 0, 41070);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_mac__b) {
		RTHOOK(2);
		tr1 = RTLNS(eif_new_type(3146, 0x00).id, 3146, _OBJSIZ_0_1_0_1_0_1_0_0_);
		tr2 = RTMS_EX_H("quartz,x11,wayland,broadway",27,9648249);
		F3147_34580(RTCW(tr1), tr2);
		tp1 = *(EIF_POINTER *)(RTCW(tr1)+ _PTROFF_0_1_0_1_0_0_);
		inline_F433_7393(tp1);
	} else {
		RTHOOK(3);
		tr1 = RTLNS(eif_new_type(869, 0x00).id, 869, _OBJSIZ_0_0_0_0_0_0_0_0_);
		if (RTOUCB(EIF_BOOLEAN,2394,F870_13772, (RTCW(tr1)))) {
			RTHOOK(4);
			tr1 = RTLNS(eif_new_type(3146, 0x00).id, 3146, _OBJSIZ_0_1_0_1_0_1_0_0_);
			tr2 = RTMS_EX_H("x11,wayland,broadway,*",22,1140152362);
			F3147_34580(RTCW(tr1), tr2);
			tp1 = *(EIF_POINTER *)(RTCW(tr1)+ _PTROFF_0_1_0_1_0_0_);
			inline_F433_7393(tp1);
		}
	}
	RTHOOK(5);
	tr1 = RTMS_EX_H("0",1,48);
	tr2 = RTMS_EX_H("LIBOVERLAY_SCROLLBAR",20,1673493842);
	F2050_28536(Current, tr1, tr2);
	RTHOOK(6);
	tr1 = RTLNSMART(eif_new_type(4028, 0).id);
	F4026_47870(RTCW(tr1), ((EIF_INTEGER_32) 4L));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_47_) = (EIF_REFERENCE) tr1;
	RTHOOK(7);
	tb1 = (EIF_BOOLEAN) EIF_TEST(gtk_init_check (&eif_argc, &eif_argv));
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_11_) = (EIF_BOOLEAN) tb1;
	RTHOOK(8);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFFF9,4,3852,5029,4510,4510,4498,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNSMART(typres0.id);
	}
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_48_) = (EIF_REFERENCE) tr1;
	RTHOOK(9);
	tr1 = RTLNSMART(eif_new_type(3182, 0).id);
	F3183_36351(RTCW(tr1));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_42_) = (EIF_REFERENCE) tr1;
	RTHOOK(10);
	{
		static EIF_TYPE_INDEX typarr0[] = {2931,4510,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNSMART(typres0.id);
	}
	F2932_33241(RTCW(tr1));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_43_) = (EIF_REFERENCE) tr1;
	RTHOOK(11);
	tr1 = F4022_47759(RTMS_EX_H("",0,0));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_22_) = (EIF_REFERENCE) tr1;
	RTHOOK(12);
	F3319_37815(Current);
	RTHOOK(13);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_11_)) {
		RTHOOK(14);
		F3320_38057(Current);
		RTHOOK(15);
		tb1 = EIF_TEST (inline_F1036_15680());
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_12_) = (EIF_BOOLEAN) tb1;
		RTHOOK(16);
		enable_ev_gtk_log((EIF_INTEGER) ((EIF_INTEGER_32) 0L));
		RTHOOK(17);
		gdk_set_show_events((gboolean) (EIF_BOOLEAN) 0);
		RTHOOK(18);
		tp1 = (EIF_POINTER) gdk_display_get_default();
		tp1 = inline_F433_7400(tp1);
		tp1 = inline_F433_7556(tp1);
		ti4_1 = inline_F433_7457(tp1);
		ti4_1 = eif_min_int32 (ti4_1,((EIF_INTEGER_32) 24L));
		*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_18_) = (EIF_INTEGER_32) ti4_1;
		RTHOOK(19);
		F3178_36001(Current);
		RTHOOK(20);
		F3320_38020(Current, ((EIF_INTEGER_32) 500L));
		RTHOOK(21);
		if (RTOUCB(EIF_BOOLEAN,5168,F3320_37927, (Current))) {
			RTHOOK(22);
			tp1 = (EIF_POINTER) gdk_display_get_default();
			inline_F345_5855(tp1);
		}
		RTHOOK(23);
		F3320_37922(Current);
		RTHOOK(24);
		tp1 = (EIF_POINTER) gtk_im_context_simple_new();
		*(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_) = (EIF_POINTER) tp1;
		RTHOOK(25);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_42_);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
		tr2 = RTLNS(eif_new_type(435, 0x00).id, 435, _OBJSIZ_0_0_0_0_0_0_0_0_);
		tr3 = RTOUCR(2416,F436_7858, (RTCW(tr2)));
		{
			EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,3852,0,0xFFFF};
			EIF_TYPE typres0;
			typarr0[3] = dftype;
			
			typres0 = eif_compound_id(dftype, typarr0);
			tr4 = RTLNTS(typres0.id, 2, 0);
		}
		((EIF_TYPED_VALUE *)tr4+1)->it_r = Current;
		RTAR(tr4,Current);
		
		{
			static EIF_TYPE_INDEX typarr0[] = {3973,0xFFF9,1,3852,5029,5029,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr7= RTLNRF(typres0.id, (EIF_POINTER) __A2269_425_2, (EIF_POINTER) _A2269_425_2, (EIF_POINTER)(F3320_37921),tr4, 1, 1);
		}
		F3183_36355(RTCW(tr1), tp1, tr3, tr7);
	} else {
		RTHOOK(26);
		tr1 = RTMS_EX_H("EiffelVision application could not launch, check DISPLAY environment variable\012",78,1906588938);
		F1_27(Current, tr1);
		RTHOOK(27);
		esdie(((EIF_INTEGER_32) 0L));
	}
	RTHOOK(28);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.on_char_event */
EIF_POINTER F3320_37921 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTEAA("on_char_event", 3319, Current, 1, 1, 41071);
	RTGC;
	RTHOOK(1);
	loc1 = (EIF_POINTER) g_value_peek_pointer((GValue*) arg1);
	RTHOOK(2);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc1 != tp1)) {
		RTHOOK(3);
		tr1 = RTOUCR(5169,F3320_38055, (Current));
		F3147_34582(RTCW(tr1), loc1);
	} else {
		RTHOOK(4);
		tr1 = RTOUCR(5169,F3320_38055, (Current));
		tr2 = RTMS_EX_H("",0,0);
		F3147_34580(RTCW(tr1), tr2);
	}
	RTHOOK(5);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_47_);
	F4029_48048(RTCW(tr1));
	RTHOOK(6);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_47_);
	tr2 = F3147_34578(RTCV(RTOUCR(5169,F3320_38055, (Current))));
	F4029_48019(RTCW(tr1), tr2);
	RTHOOK(7);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
	gtk_im_context_reset((GtkIMContext*) tp1);
	RTHOOK(8);
	RTLE;
	RTEE;
	return (EIF_POINTER) 0;
}

/* {EV_APPLICATION_IMP}.update_screen_meta_data */
void F3320_37922 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("update_screen_meta_data", 3319, Current, 3, 0, 41072);
	RTGC;
	RTHOOK(1);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_13_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	RTHOOK(2);
	loc2 = RTOUCB(EIF_POINTER,5170,F3320_37925, (Current));
	RTHOOK(3);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc2 != tp1)) {
		RTHOOK(4);
		tp1 = inline_F433_7559();
		tb1 = EIF_TEST (inline_F3320_37926(loc2, tp1));
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_7_) = (EIF_BOOLEAN) tb1;
	}
	RTHOOK(5);
	tp1 = (EIF_POINTER) gdk_display_get_default();
	ti4_1 = inline_F433_7402(tp1);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_17_) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(6);
	loc1 = RTOUCB(EIF_POINTER,5171,F3320_38053, (Current));
	RTHOOK(7);
	tp1 = (EIF_POINTER) gdk_display_get_default();
	tp1 = (EIF_POINTER) gdk_display_get_primary_monitor((GdkDisplay*) tp1);
	*(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_1_) = (EIF_POINTER) tp1;
	RTHOOK(8);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_1_);
	inline_F433_7408(tp1, loc1);
	RTHOOK(9);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_) = (EIF_INTEGER_32) (EIF_INTEGER_32) -(EIF_INTEGER_32) (((GdkRectangle *)loc1)->x);
	RTHOOK(10);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_) = (EIF_INTEGER_32) (EIF_INTEGER_32) -(EIF_INTEGER_32) (((GdkRectangle *)loc1)->y);
	RTHOOK(11);
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc1)->width);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_15_) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(12);
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc1)->height);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_16_) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(13);
	loc3 = (EIF_POINTER) calloc (sizeof(GdkRectangle), 1);
	RTHOOK(14);
	inline_F3320_38063(loc3);
	RTHOOK(15);
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc3)->width);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_13_) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(16);
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc3)->height);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_14_) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(17);
	free(loc3);
	RTHOOK(18);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.gdk_screen_is_composited_symbol */
static EIF_POINTER F3320_37925_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
#define Result RTOTRB(EIF_POINTER)
	RTOUDB(EIF_POINTER, 5170)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("gdk_screen_is_composited_symbol", 3319, Current, 0, 0, 41075);
	RTGC;
	RTOTP;
	RTHOOK(1);
	tr1 = RTMS_EX_H("gdk_screen_is_composited",24,1829865316);
	Result = F3320_37951(Current, tr1);
	RTOTE;
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F3320_37925 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCB(EIF_POINTER,5170,F3320_37925_body,(Current));
}

/* {EV_APPLICATION_IMP}.gdk_screen_is_composited_call */
EIF_BOOLEAN F3320_37926 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_screen_is_composited_call", 3319, Current, 0, 2, 41076);
	Result = EIF_TEST(inline_F3320_37926 ((EIF_POINTER) arg1, (EIF_POINTER) arg2));
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.is_x11_session */
static EIF_BOOLEAN F3320_37927_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	
#define Result RTOTRB(EIF_BOOLEAN)
	RTOUDB(EIF_BOOLEAN, 5168)

	
	RTEAA("is_x11_session", 3319, Current, 0, 0, 41077);
	RTOTP;
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(869, 0x00).id, 869, _OBJSIZ_0_0_0_0_0_0_0_0_);
	Result = RTOUCB(EIF_BOOLEAN,2393,F870_13771, (RTCW(tr1)));
	RTOTE;
	RTHOOK(2);
	RTEE;
	return Result;
#undef Result
}

EIF_BOOLEAN F3320_37927 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCB(EIF_BOOLEAN,5168,F3320_37927_body,(Current));
}

/* {EV_APPLICATION_IMP}.has_x11_support */
static EIF_BOOLEAN F3320_37928_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRB(EIF_BOOLEAN)
	RTOUDB(EIF_BOOLEAN, 2688)

	RTLI(4);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLIU(4);
	
	RTEAA("has_x11_support", 3319, Current, 1, 0, 41078);
	RTGC;
	RTAOMS(37927,1);
	RTOTP;
	RTHOOK(1);
	Result = RTOUCB(EIF_BOOLEAN,5168,F3320_37927, (Current));
	RTHOOK(2);
	if (Result) {
		RTHOOK(3);
		if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_mac__b) {
			RTHOOK(4);
			Result = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
		} else {
			RTHOOK(5);
			RTCOMS(tr2,37927,0,"EV_HAS_X11_SUPPORT",18,1084065108);
			tr1 = RTLNS(eif_new_type(2049, 0x00).id, 2049, _OBJSIZ_0_0_0_1_0_0_0_0_);
			tr2 = F2050_28523(RTCW(tr1), tr2);
			loc1 = tr2;
			if (EIF_TEST(loc1)) {
				RTHOOK(6);
				tr1 = RTMS_EX_H("no",2,28271);
				Result = F4022_47742(loc1, tr1);
				Result = (EIF_BOOLEAN) (EIF_BOOLEAN) !Result;
			}
		}
	}
	RTOTE;
	RTHOOK(7);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_BOOLEAN F3320_37928 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCB(EIF_BOOLEAN,2688,F3320_37928_body,(Current));
}

/* {EV_APPLICATION_IMP}.call_post_launch_actions */
void F3320_37929 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("call_post_launch_actions", 3319, Current, 0, 0, 41079);
	RTGC;
	RTHOOK(1);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_11_)) {
		RTHOOK(2);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
		tp2 = F3320_38049(Current);
		gtk_im_context_set_client_window((GtkIMContext*) tp1, (GdkWindow*) tp2);
		RTHOOK(3);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
		gtk_im_context_focus_in((GtkIMContext*) tp1);
	}
	RTHOOK(4);
	F3319_37897(Current);
	RTHOOK(5);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.window_manager_name */
EIF_REFERENCE F3320_37930 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,Result);
	RTLIU(2);
	
	RTEAA("window_manager_name", 3319, Current, 0, 0, 41080);
	RTGC;
	RTHOOK(1);
	Result = F3178_36025(Current);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.is_display_remote */
EIF_BOOLEAN F3320_37941 (EIF_REFERENCE Current)
{
	return *(EIF_BOOLEAN *)(Current+ _CHROFF_49_13_);
}


/* {EV_APPLICATION_IMP}.set_currently_shown_control */
void F3320_37942 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("set_currently_shown_control", 3319, Current, 0, 1, 41092);
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_41_) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.focused_widget */
EIF_REFERENCE F3320_37944 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(8);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,loc4);
	RTLR(3,tr1);
	RTLR(4,loc2);
	RTLR(5,loc5);
	RTLR(6,loc6);
	RTLR(7,Result);
	RTLIU(8);
	
	RTEAA("focused_widget", 3319, Current, 6, 0, 41094);
	RTGC;
	RTHOOK(1);
	loc1 = F3320_37958(Current);
	RTHOOK(2);
	tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R28284[Dtype(RTCW(loc1))-2302])(loc1);
	loc4 = (EIF_REFERENCE) tr1;
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R27295[Dtype(loc4)-2195])(loc4);
		if (tb1) break;
		RTHOOK(3);
		if ((EIF_BOOLEAN)(Result != NULL)) break;
		RTHOOK(4);
		loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R27294[Dtype(loc4)-2195])(loc4);
		RTHOOK(5);
		tb2 = F4178_50404(RTCW(loc2));
		if (tb2) {
			RTHOOK(6);
			tb2 = F4229_52010(RTCW(loc2));
			if (tb2) {
				RTHOOK(7);
				tr1 = *(EIF_REFERENCE *)(RTCW(loc2) + O31556[Dtype(loc2)-3244]);
				loc5 = tr1;
				loc5 = RTRV(eif_new_type(3411, 0x00),loc5);
				if (EIF_TEST(loc5)) {
					RTHOOK(8);
					tp1 = *(EIF_POINTER *)(loc5 + O33003[Dtype(loc5)-3355]);
					loc3 = (EIF_POINTER) gtk_window_get_focus((GtkWindow*) tp1);
					RTHOOK(9);
					tb2 = !loc3;
					if ((EIF_BOOLEAN) !tb2) {
						RTHOOK(10);
						tr1 = F3320_38044(Current, loc3);
						loc6 = tr1;
						loc6 = RTRV(eif_new_type(3377, 0x00),loc6);
						if (EIF_TEST(loc6)) {
							RTHOOK(11);
							Result = *(EIF_REFERENCE *)(loc6 + O32290[Dtype(loc6)-3308]);
						}
					}
				} else {
					
				}
			} else {
				RTHOOK(13);
				Result = (EIF_REFERENCE) loc2;
			}
		}
		RTHOOK(14);
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R27296[Dtype(loc4)-2195])(loc4);
	}
	RTHOOK(15);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.wait_for_input */
void F3320_37945 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("wait_for_input", 3319, Current, 0, 1, 41095);
	RTHOOK(1);
	F3320_38017(Current, arg1);
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.print_debug_event */
void F3320_37946 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_REFERENCE arg2, EIF_POINTER arg3)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("print_debug_event", 3319, Current, 2, 3, 41096);
	RTGC;
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.process_underlying_toolkit_event_queue */
void F3320_37947 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_BOOLEAN loc5 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc6 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc7 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc9 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc11 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc12 = (EIF_REFERENCE) 0;
	EIF_POINTER loc13 = (EIF_POINTER) 0;
	EIF_POINTER loc14 = (EIF_POINTER) 0;
	EIF_REFERENCE loc15 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc16 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc17 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 loc18 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc19 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc20 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc21 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc22 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc23 = (EIF_INTEGER_32) 0;
	EIF_BOOLEAN loc24 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc25 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc26 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc27 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc28 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc29 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc30 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc31 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc32 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc33 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc34 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc35 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc36 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc37 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc38 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc39 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc40 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc41 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REAL_64 tr8_1;
	EIF_REAL_64 tr8_2;
	EIF_REAL_64 tr8_3;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_INTEGER_32 ti4_5;
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_INTEGER_8 ti1_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(24);
	RTLR(0,loc15);
	RTLR(1,Current);
	RTLR(2,loc16);
	RTLR(3,loc30);
	RTLR(4,tr1);
	RTLR(5,loc31);
	RTLR(6,loc32);
	RTLR(7,loc8);
	RTLR(8,loc10);
	RTLR(9,loc9);
	RTLR(10,tr2);
	RTLR(11,loc33);
	RTLR(12,tr3);
	RTLR(13,loc34);
	RTLR(14,loc12);
	RTLR(15,loc11);
	RTLR(16,loc35);
	RTLR(17,loc36);
	RTLR(18,loc37);
	RTLR(19,loc38);
	RTLR(20,loc39);
	RTLR(21,loc40);
	RTLR(22,loc25);
	RTLR(23,loc41);
	RTLIU(24);
	
	RTEAA("process_underlying_toolkit_event_queue", 3319, Current, 41, 0, 41097);
	RTGC;
	RTAOMS(37946,2);
	RTHOOK(1);
	loc15 = RTOUCR(5172,F3320_37962, (Current));
	RTHOOK(2);
	loc16 = RTOUCR(5173,F3320_37963, (Current));
	for (;;) {
		RTHOOK(3);
		tb1 = '\01';
		if (!loc17) {
			tb1 = F3309_37645(Current);
		}
		if (tb1) break;
		RTHOOK(4);
		loc1 = (EIF_POINTER) gdk_event_get();
		RTHOOK(5);
		tb2 = !loc1;
		if ((EIF_BOOLEAN) !tb2) {
			RTHOOK(6);
			loc3 = (EIF_POINTER) gtk_get_event_widget((GdkEvent*) loc1);
			RTHOOK(7);
			ti1_1 = (EIF_INTEGER_8) (((GdkEventAny *)loc1)->send_event);
			loc29 = (EIF_BOOLEAN) (EIF_BOOLEAN)(ti1_1 != (EIF_INTEGER_8) ((EIF_INTEGER_32) 0L));
			RTHOOK(8);
			loc27 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
			RTHOOK(9);
			loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
			RTHOOK(10);
			loc6 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
			RTHOOK(11);
			loc4 = (EIF_POINTER) gtk_grab_get_current();
			RTHOOK(12);
			tb2 = !loc4;
			if (tb2) {
				RTHOOK(13);
				loc24 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
				RTHOOK(14);
				loc4 = (EIF_POINTER) loc3;
			} else {
				RTHOOK(15);
				loc24 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
				RTHOOK(16);
				tb2 = '\0';
				tr1 = F3320_38029(Current);
				loc30 = tr1;
				if (EIF_TEST(loc30)) {
					tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R33062[Dtype(loc30)-3359])(loc30);
					tb2 = (EIF_BOOLEAN) !tb3;
				}
				if (tb2) {
					RTHOOK(17);
					tr8_1 = (EIF_REAL_64) (((EIF_INTEGER_32) 0L));
					tr8_2 = (EIF_REAL_64) (((EIF_INTEGER_32) 0L));
					tr8_3 = (EIF_REAL_64) (((EIF_INTEGER_32) 0L));
					F3376_38893(loc30, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), tr8_1, tr8_2, tr8_3, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L));
				} else {
					RTHOOK(18);
					tb2 = '\0';
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_29_);
					loc31 = tr1;
					if (EIF_TEST(loc31)) {
						tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R41332[Dtype(loc31)-4181])(loc31);
						tb2 = (EIF_BOOLEAN) !tb3;
					}
					if (tb2) {
						RTHOOK(19);
						(FUNCTION_CAST(void, (EIF_REFERENCE)) R41339[Dtype(loc31)-4181])(loc31);
					}
				}
			}
			RTHOOK(20);
			loc2 = (EIF_INTEGER_32) (EIF_INTEGER_8) (((GdkEventAny *)loc1)->type);
			RTHOOK(21);
			switch (loc2) {
				case 3L:
					RTHOOK(22);
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(23);
					*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(24);
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->x);
					loc19 = (EIF_INTEGER_32) tr8_1;
					RTHOOK(25);
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->y);
					loc20 = (EIF_INTEGER_32) tr8_1;
					RTHOOK(26);
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->x_root);
					loc21 = (EIF_INTEGER_32) tr8_1;
					ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_);
					loc21 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc21 + ti4_1);
					RTHOOK(27);
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->y_root);
					loc22 = (EIF_INTEGER_32) tr8_1;
					ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_);
					loc22 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc22 + ti4_1);
					RTHOOK(28);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					tp1 = (EIF_POINTER) (((GdkEventMotion *)loc1)->window);
					
					eif_put_pointer_item(RTCW(tr1),1,tp1);
					RTHOOK(29);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					
					eif_put_integer_32_item(RTCW(tr1),2,loc21);
					RTHOOK(30);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					
					eif_put_integer_32_item(RTCW(tr1),3,loc22);
					RTHOOK(31);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					tu4_1 = (EIF_NATURAL_32) (((GdkEventMotion *)loc1)->state);
					
					eif_put_natural_32_item(RTCW(tr1),4,tu4_1);
					RTHOOK(32);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(33);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_29_);
					loc32 = tr1;
					if (EIF_TEST(loc32)) {
						RTHOOK(34);
						loc8 = *(EIF_REFERENCE *)(loc32 + O31556[Dtype(loc32)-3244]);
						loc8 = RTRV(eif_new_type(3375, 0x00), loc8);
					} else {
						RTHOOK(35);
						if ((EIF_BOOLEAN)(F3320_38029(Current) != NULL)) {
							RTHOOK(36);
							loc8 = F3320_38029(Current);
						} else {
							RTHOOK(37);
							tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
							tp2 = eif_pointer_item(RTCW(tr1),1);
							loc8 = F3320_38046(Current, tp2);
							loc8 = RTRV(eif_new_type(3375, 0x00), loc8);
						}
					}
					RTHOOK(38);
					tb2 = '\0';
					if ((EIF_BOOLEAN)(loc8 != NULL)) {
						tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R33062[Dtype(RTCW(loc8))-3359])(loc8);
						tb2 = tb3;
					}
					if (tb2) {
						RTHOOK(39);
						loc10 = F3358_38656(RTCW(loc8));
						RTHOOK(40);
						if ((EIF_BOOLEAN)(loc10 != NULL)) {
							RTHOOK(41);
							tb2 = F3412_39496(RTCW(loc10));
							if ((EIF_BOOLEAN) !tb2) {
								RTHOOK(42);
								gtk_main_do_event((GdkEvent*) loc1);
								RTHOOK(43);
								if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_9_) != NULL)) {
									RTHOOK(44);
									loc9 = loc8;
									loc9 = RTRV(eif_new_type(3377, 0x00), loc9);
									RTHOOK(45);
									if ((EIF_BOOLEAN)(loc9 != NULL)) {
										RTHOOK(46);
										tr1 = F3309_37646(RTCW(loc9));
										
										eif_put_reference_item(RTCW(loc16),1,tr1);
										RTHOOK(47);
										
										eif_put_integer_32_item(RTCW(loc16),2,loc21);
										RTHOOK(48);
										
										eif_put_integer_32_item(RTCW(loc16),3,loc22);
										RTHOOK(49);
										tr2 = *(EIF_REFERENCE *)(Current + _REFACS_9_);
										(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R29277[Dtype(RTCW(tr2))-3013])(tr2, loc16);
										RTHOOK(50);
										tr2 = RTOUCR(5174,F3320_38051, (Current));
										
										eif_put_reference_item(RTCW(loc16),1,tr2);
									}
								}
								RTHOOK(51);
								tp2 = *(EIF_POINTER *)(RTCW(loc8) + O33003[Dtype(loc8)-3355]);
								ti4_1 = (EIF_INTEGER_32) gtk_widget_get_state_flags((GtkWidget*) tp2);
								ti4_2 = (EIF_INTEGER_32) GTK_STATE_FLAG_INSENSITIVE;
								ti4_1 = eif_bit_and(ti4_1,ti4_2);
								if ((EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 0L))) {
									RTHOOK(52);
									tp2 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R33027[Dtype(RTCW(loc8))-3356])(loc8);
									if ((EIF_BOOLEAN)((EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp2) != (EIF_POINTER) (((GdkEventMotion *)loc1)->window))) {
										RTHOOK(53);
										tp2 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R33027[Dtype(RTCW(loc8))-3356])(loc8);
										gtk_widget_realize((GtkWidget*) tp2);
										RTHOOK(54);
										tp2 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R33027[Dtype(RTCW(loc8))-3356])(loc8);
										tp2 = (EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp2);
										loc18 = (EIF_INTEGER_32) gdk_window_get_origin((GdkWindow*) tp2, (gint*) (EIF_INTEGER_32 *) &(loc19), (gint*) (EIF_INTEGER_32 *) &(loc20));
										RTHOOK(55);
										loc19 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc21 - loc19);
										RTHOOK(56);
										loc20 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc22 - loc20);
									}
									RTHOOK(57);
									
									eif_put_integer_32_item(RTCW(loc15),1,loc19);
									RTHOOK(58);
									
									eif_put_integer_32_item(RTCW(loc15),2,loc20);
									RTHOOK(59);
									
									eif_put_real_64_item(RTCW(loc15),3,(EIF_REAL_64) 0.5);
									RTHOOK(60);
									
									eif_put_real_64_item(RTCW(loc15),4,(EIF_REAL_64) 0.5);
									RTHOOK(61);
									
									eif_put_real_64_item(RTCW(loc15),5,(EIF_REAL_64) 0.5);
									RTHOOK(62);
									
									eif_put_integer_32_item(RTCW(loc15),6,loc21);
									RTHOOK(63);
									
									eif_put_integer_32_item(RTCW(loc15),7,loc22);
									RTHOOK(64);
									(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R33234[Dtype(RTCW(loc8))-3392])(loc8, loc15);
								}
							}
						} else {
							RTHOOK(65);
							gtk_main_do_event((GdkEvent*) loc1);
						}
					} else {
						RTHOOK(66);
						gtk_main_do_event((GdkEvent*) loc1);
					}
					RTHOOK(67);
					loc9 = (EIF_REFERENCE) NULL;
					RTHOOK(68);
					loc8 = (EIF_REFERENCE) NULL;
					RTHOOK(69);
					*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(70);
					if ((EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventMotion *)loc1)->is_hint) != ((EIF_INTEGER_32) 0L))) {
						RTHOOK(71);
						F3320_38035(Current);
					}
					break;
				case 4L:
				case 5L:
				case 6L:
				case 7L:
					RTHOOK(72);
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(73);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(74);
					F3320_37964(Current, loc1, (EIF_BOOLEAN) 0);
					break;
				case 31L:
					RTHOOK(75);
					if ((EIF_BOOLEAN) !F3320_38028(Current)) {
						RTHOOK(76);
						tr3 = *(EIF_REFERENCE *)(Current + _REFACS_44_);
						loc33 = tr3;
						if (EIF_TEST(loc33)) {
							RTHOOK(77);
							ti4_1 = (EIF_INTEGER_32) GDK_BUTTON_PRESS;
							tr8_1 = (EIF_REAL_64) (((GdkEventScroll *)loc1)->x_root);
							ti4_2 = (EIF_INTEGER_32) tr8_1;
							ti4_3 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_);
							tr8_1 = (EIF_REAL_64) (((GdkEventScroll *)loc1)->y_root);
							ti4_4 = (EIF_INTEGER_32) tr8_1;
							ti4_5 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_);
							F3414_39529(loc33, ti4_1, ((EIF_INTEGER_32) 2L), (EIF_INTEGER_32) (ti4_2 + ti4_3), (EIF_INTEGER_32) (ti4_4 + ti4_5));
						}
						RTHOOK(78);
						tp2 = eif_pointer_item(RTCV(F3320_38034(Current)),1);
						{
							/* INLINED CODE (ANY.default_pointer) */
							tp3 = (EIF_POINTER)  0;
							/* END INLINED CODE */
						}
						if ((EIF_BOOLEAN)(tp2 != tp3)) {
							RTHOOK(79);
							tr3 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
							tp2 = eif_pointer_item(RTCW(tr3),1);
							loc9 = F3320_38046(Current, tp2);
							loc9 = RTRV(eif_new_type(3377, 0x00), loc9);
						} else {
							RTHOOK(80);
							loc9 = (EIF_REFERENCE) NULL;
						}
						RTHOOK(81);
						if ((EIF_BOOLEAN)(loc9 == NULL)) {
							RTHOOK(82);
							loc9 = F3320_38044(Current, loc3);
							loc9 = RTRV(eif_new_type(3377, 0x00), loc9);
						}
						RTHOOK(83);
						if ((EIF_BOOLEAN)(loc9 != NULL)) {
							RTHOOK(84);
							if ((EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventScroll *)loc1)->direction) == (EIF_INTEGER_32) GDK_SCROLL_UP)) {
								RTHOOK(85);
								loc23 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
							} else {
								RTHOOK(86);
								loc23 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
							}
							RTHOOK(87);
							ti4_1 = (EIF_INTEGER_32) GDK_BUTTON_PRESS;
							(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_REAL_64, EIF_REAL_64, EIF_REAL_64, EIF_INTEGER_32, EIF_INTEGER_32)) R33236[Dtype(RTCW(loc9))-3392])(loc9, ti4_1, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), loc23, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L));
						}
						RTHOOK(88);
						loc6 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					} else {
						RTHOOK(89);
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					}
					RTHOOK(90);
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					break;
				case 20L:
				case 21L:
					break;
				case 16L:
					break;
				case 2L:
					break;
				case 30L:
					break;
				case 12L:
					RTHOOK(91);
					loc10 = F3320_38044(Current, loc3);
					loc10 = RTRV(eif_new_type(3411, 0x00), loc10);
					RTHOOK(92);
					if ((EIF_BOOLEAN)(loc10 != NULL)) {
						RTHOOK(93);
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
						RTHOOK(94);
						gtk_main_do_event((GdkEvent*) loc1);
						RTHOOK(95);
						ti1_1 = (EIF_INTEGER_8) (((GdkEventFocus *)loc1)->in);
						tr3 = RTLNS(eif_new_type(4492, 0x00).id, 4492, _OBJSIZ_0_1_0_0_0_0_0_0_);
						*(EIF_INTEGER_8 *)tr3 = ti1_1;
						tb2 = F4491_54541(RTCW(tr3));
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_BOOLEAN)) R33286[Dtype(RTCW(loc10))-3392])(loc10, tb2);
						RTHOOK(96);
						loc10 = (EIF_REFERENCE) NULL;
					}
					break;
				case 13L:
					RTHOOK(97);
					tr3 = F3320_38044(Current, loc3);
					loc34 = tr3;
					loc34 = RTRV(eif_new_type(3358, 0x00),loc34);
					if (EIF_TEST(loc34)) {
						RTHOOK(98);
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
						RTHOOK(99);
						gtk_main_do_event((GdkEvent*) loc1);
						RTHOOK(100);
						ti4_1 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->x);
						ti4_2 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->y);
						ti4_3 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->width);
						ti4_4 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->height);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32)) R33095[Dtype(loc34)-3359])(loc34, ti4_1, ti4_2, ti4_3, ti4_4);
						RTHOOK(101);
						loc12 = (EIF_REFERENCE) NULL;
					}
					break;
				case 14L:
					RTHOOK(102);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(103);
					gtk_main_do_event((GdkEvent*) loc1);
					RTHOOK(104);
					loc9 = F3320_38044(Current, loc3);
					loc9 = RTRV(eif_new_type(3377, 0x00), loc9);
					RTHOOK(105);
					if ((EIF_BOOLEAN)(loc9 != NULL)) {
						RTHOOK(106);
						(FUNCTION_CAST(void, (EIF_REFERENCE)) R33297[Dtype(RTCW(loc9))-3392])(loc9);
					}
					RTHOOK(107);
					loc9 = (EIF_REFERENCE) NULL;
					break;
				case 15L:
					RTHOOK(108);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(109);
					gtk_main_do_event((GdkEvent*) loc1);
					RTHOOK(110);
					loc11 = F3320_38044(Current, loc3);
					loc11 = RTRV(eif_new_type(3357, 0x00), loc11);
					RTHOOK(111);
					if ((EIF_BOOLEAN)(loc11 != NULL)) {
						RTHOOK(112);
						tr3 = *(EIF_REFERENCE *)(RTCW(loc11) + O32290[Dtype(loc11)-3308]);
						if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_41_) == tr3)) {
							RTHOOK(113);
							F3320_37942(Current, NULL);
						}
						RTHOOK(114);
						loc9 = loc11;
						loc9 = RTRV(eif_new_type(3377, 0x00), loc9);
						RTHOOK(115);
						if ((EIF_BOOLEAN)(loc9 != NULL)) {
							RTHOOK(116);
							F3378_38970(RTCW(loc9));
							RTHOOK(117);
							loc9 = (EIF_REFERENCE) NULL;
						}
						RTHOOK(118);
						loc11 = (EIF_REFERENCE) NULL;
					}
					break;
				case 17L:
					break;
				case 18L:
					break;
				case 19L:
					RTHOOK(119);
					tr3 = F3320_37944(Current);
					loc35 = tr3;
					if (EIF_TEST(loc35)) {
						RTHOOK(120);
						loc9 = *(EIF_REFERENCE *)(loc35 + O31556[Dtype(loc35)-3244]);
						loc9 = RTRV(eif_new_type(3377, 0x00), loc9);
					} else {
						RTHOOK(121);
						tr3 = RTLNS(eif_new_type(3273, 0x00).id, 3273, _OBJSIZ_2_0_0_0_0_0_0_0_);
						F3245_36776(RTCW(tr3));
						tr3 = F3274_37193(RTCW(tr3));
						loc36 = tr3;
						if (EIF_TEST(loc36)) {
							RTHOOK(122);
							loc9 = *(EIF_REFERENCE *)(loc36 + O31556[Dtype(loc36)-3244]);
							loc9 = RTRV(eif_new_type(3377, 0x00), loc9);
						}
					}
					RTHOOK(123);
					loc37 = loc9;
					loc37 = RTRV(eif_new_type(3463, 0x00),loc37);
					if (EIF_TEST(loc37)) {
						RTHOOK(124);
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
						RTHOOK(125);
						gtk_main_do_event((GdkEvent*) loc1);
						RTHOOK(126);
						F3464_40215(loc37);
					}
					RTHOOK(127);
					loc9 = (EIF_REFERENCE) NULL;
					break;
				case 28L:
					break;
				case 29L:
					break;
				case 32L:
					RTHOOK(128);
					loc10 = F3320_38044(Current, loc3);
					loc10 = RTRV(eif_new_type(3411, 0x00), loc10);
					RTHOOK(129);
					if ((EIF_BOOLEAN)(loc10 != NULL)) {
						RTHOOK(130);
						ti4_1 = (EIF_INTEGER_32) (((GdkEventWindowState *)loc1)->changed_mask);
						ti4_2 = (EIF_INTEGER_32) (((GdkEventWindowState *)loc1)->new_window_state);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32, EIF_INTEGER_32)) R33590[Dtype(RTCW(loc10))-3411])(loc10, ti4_1, ti4_2);
						RTHOOK(131);
						loc10 = (EIF_REFERENCE) NULL;
					}
					break;
				case 10L:
				case 11L:
					RTHOOK(132);
					loc13 = (EIF_POINTER) (((GdkEventAny *)loc1)->window);
					RTHOOK(133);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(134);
					tb2 = '\0';
					tb3 = !loc13;
					if ((EIF_BOOLEAN) !tb3) {
						tb2 = (EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventCrossing *)loc1)->mode) == ((EIF_INTEGER_32) 0L));
					}
					if (tb2) {
						RTHOOK(135);
						gdk_window_get_user_data((GdkWindow*) loc13, (gpointer*) (EIF_POINTER *) &(loc14));
						RTHOOK(136);
						tb2 = !loc14;
						if ((EIF_BOOLEAN) !tb2) {
							RTHOOK(137);
							if ((EIF_BOOLEAN) !F3320_38028(Current)) {
								RTHOOK(138);
								tb2 = '\0';
								tr3 = F3320_38044(Current, loc14);
								loc38 = tr3;
								loc38 = RTRV(eif_new_type(3375, 0x00),loc38);
								if (EIF_TEST(loc38)) {
									tp2 = *(EIF_POINTER *)(loc38 + O33003[Dtype(loc38)-3355]);
									tb2 = (EIF_BOOLEAN)(tp2 == loc14);
								}
								if (tb2) {
									RTHOOK(139);
									loc10 = F3358_38656(loc38);
									RTHOOK(140);
									tb2 = '\01';
									if (!(EIF_BOOLEAN)(loc10 == NULL)) {
										tb3 = F3412_39496(RTCW(loc10));
										tb2 = (EIF_BOOLEAN) !tb3;
									}
									if (tb2) {
										RTHOOK(141);
										loc39 = loc38;
										loc39 = RTRV(eif_new_type(3377, 0x00),loc39);
										if (EIF_TEST(loc39)) {
											RTHOOK(142);
											ti1_1 = (EIF_INTEGER_8) (((GdkEventAny *)loc1)->type);
											F3378_38942(loc39, (EIF_BOOLEAN)(ti1_1 == ((EIF_INTEGER_8) 10L)));
										}
										RTHOOK(143);
										loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
									}
									RTHOOK(144);
									loc11 = (EIF_REFERENCE) NULL;
									RTHOOK(145);
									loc10 = (EIF_REFERENCE) NULL;
									RTHOOK(146);
									{
										/* INLINED CODE (ANY.default_pointer) */
										tp2 = (EIF_POINTER)  0;
										/* END INLINED CODE */
									}
									loc14 = tp2;
								} else {
									RTHOOK(147);
									gtk_main_do_event((GdkEvent*) loc1);
									RTHOOK(148);
									loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
								}
							}
						}
					}
					RTHOOK(149);
					{
						/* INLINED CODE (ANY.default_pointer) */
						tp2 = (EIF_POINTER)  0;
						/* END INLINED CODE */
					}
					loc13 = tp2;
					break;
				case 8L:
				case 9L:
					RTHOOK(150);
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(151);
					loc6 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(152);
					tr3 = *(EIF_REFERENCE *)(Current + _REFACS_44_);
					loc40 = tr3;
					if (EIF_TEST(loc40)) {
						RTHOOK(153);
						loc11 = (EIF_REFERENCE) loc40;
						RTHOOK(154);
						loc13 = (EIF_POINTER) (((GdkEventAny *)loc1)->window);
						RTHOOK(155);
						tp2 = *(EIF_POINTER *)(RTCW(loc11) + O33003[Dtype(loc11)-3355]);
						tp2 = (EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp2);
						(((GdkEventAny *)loc1)->window = (GdkWindow*)(tp2));
					} else {
						RTHOOK(156);
						if (loc24) {
							RTHOOK(157);
							loc11 = F3320_38044(Current, loc4);
							loc11 = RTRV(eif_new_type(3357, 0x00), loc11);
						} else {
							RTHOOK(158);
							loc12 = F3320_38044(Current, loc4);
							loc12 = RTRV(eif_new_type(3358, 0x00), loc12);
							RTHOOK(159);
							loc11 = (EIF_REFERENCE) loc12;
						}
					}
					RTHOOK(160);
					if ((EIF_BOOLEAN)(loc11 != NULL)) {
						RTHOOK(161);
						loc12 = F3358_38655(RTCW(loc11));
						RTHOOK(162);
						if ((EIF_BOOLEAN)(loc12 != NULL)) {
							RTHOOK(163);
							loc10 = loc12;
							loc10 = RTRV(eif_new_type(3411, 0x00), loc10);
							RTHOOK(164);
							tb2 = '\01';
							if (!(EIF_BOOLEAN)(loc10 == NULL)) {
								tb3 = F3412_39496(RTCW(loc10));
								tb2 = (EIF_BOOLEAN) !tb3;
							}
							if (tb2) {
								RTHOOK(165);
								*(EIF_BOOLEAN *)(Current+ _CHROFF_49_9_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
								RTHOOK(166);
								tr3 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
								tu4_2 = (EIF_NATURAL_32) (((GdkEventKey *)loc1)->state);
								
								eif_put_natural_32_item(RTCW(tr3),4,tu4_2);
								RTHOOK(167);
								loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
								RTHOOK(168);
								F3359_38692(RTCW(loc12), loc1);
								RTHOOK(169);
								*(EIF_BOOLEAN *)(Current+ _CHROFF_49_9_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
							}
							RTHOOK(170);
							loc11 = (EIF_REFERENCE) NULL;
							RTHOOK(171);
							loc12 = (EIF_REFERENCE) NULL;
							RTHOOK(172);
							loc10 = (EIF_REFERENCE) NULL;
						}
					}
					RTHOOK(173);
					tb2 = !loc13;
					if ((EIF_BOOLEAN) !tb2) {
						RTHOOK(174);
						(((GdkEventAny *)loc1)->window = (GdkWindow*)(loc13));
						RTHOOK(175);
						{
							/* INLINED CODE (ANY.default_pointer) */
							tp2 = (EIF_POINTER)  0;
							/* END INLINED CODE */
						}
						loc13 = tp2;
					}
					break;
				case 0L:
					RTHOOK(176);
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(177);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(178);
					loc12 = F3320_38044(Current, loc3);
					loc12 = RTRV(eif_new_type(3358, 0x00), loc12);
					RTHOOK(179);
					if ((EIF_BOOLEAN)(loc12 != NULL)) {
						RTHOOK(180);
						(FUNCTION_CAST(void, (EIF_REFERENCE)) R33094[Dtype(RTCW(loc12))-3359])(loc12);
						RTHOOK(181);
						loc12 = (EIF_REFERENCE) NULL;
					}
					break;
				case 1L:
					break;
				case 22L:
					break;
				case 23L:
					break;
				case 24L:
					break;
				case 25L:
					break;
				case 26L:
					RTHOOK(182);
					F3320_37965(Current, loc1);
					break;
				case 27L:
					break;
				case -1L:
					break;
				case 33L:
					RTHOOK(183);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(184);
					loc25 = RTLNS(eif_new_type(4031, 0x00).id, 4031, _OBJSIZ_1_1_0_3_0_0_0_0_);
					tp2 = (EIF_POINTER) (((GdkEventSetting *)loc1)->name);
					F4024_47799(RTCW(loc25), tp2);
					RTHOOK(185);
					RTCOMS(tr3,37946,0,"gtk-theme-name",14,97340261);
					tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R11[Dtype(RTCW(loc25))-34])(loc25, tr3);
					if (tb2) {
						RTHOOK(186);
						loc26 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					} else {
						RTHOOK(187);
						RTCOMS(tr3,37946,1,"gtk-font-name",13,1067777893);
						tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R11[Dtype(RTCW(loc25))-34])(loc25, tr3);
						if (tb2) {
							RTHOOK(188);
							loc26 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
						}
					}
					RTHOOK(189);
					loc25 = (EIF_REFERENCE) NULL;
					RTHOOK(190);
					gtk_main_do_event((GdkEvent*) loc1);
					RTHOOK(191);
					tr3 = *(EIF_REFERENCE *)(Current + _REFACS_19_);
					loc41 = tr3;
					if ((EIF_BOOLEAN) (loc26 && EIF_TEST(loc41))) {
						RTHOOK(192);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R29277[Dtype(loc41)-3013])(loc41, NULL);
					}
					RTHOOK(193);
					loc26 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					break;
				case 34L:
					break;
				case 35L:
					break;
				case 36L:
					break;
				case 37L:
					break;
				case 38L:
					break;
				case 39L:
					break;
				case 40L:
					break;
				case 41L:
					break;
				case 42L:
					break;
				case 43L:
					break;
				case 44L:
					break;
				case 45L:
					break;
				case 46L:
					break;
				case 47L:
					break;
				case 48L:
					break;
				default:
					RTHOOK(194);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					break;
			}
			RTHOOK(195);
			if (loc5) {
				RTHOOK(196);
				if (loc6) {
					RTHOOK(197);
					gtk_propagate_event((GtkWidget*) loc4, (GdkEvent*) loc1);
				} else {
					RTHOOK(198);
					tb2 = !loc3;
					if ((EIF_BOOLEAN) !tb2) {
						RTHOOK(199);
						loc7 = (EIF_BOOLEAN) EIF_TEST(gtk_widget_event((GtkWidget*) loc3, (GdkEvent*) loc1));
					} else {
						RTHOOK(200);
						gtk_main_do_event((GdkEvent*) loc1);
					}
				}
			}
			RTHOOK(201);
			gdk_event_free((GdkEvent*) loc1);
		} else {
			RTHOOK(202);
			if ((EIF_BOOLEAN) EIF_TEST(g_main_context_pending (NULL))) {
				RTHOOK(203);
				F3320_37948(Current);
			} else {
				RTHOOK(204);
				loc17 = (EIF_BOOLEAN) EIF_TEST(g_main_context_pending (NULL));
				loc17 = (EIF_BOOLEAN) (EIF_BOOLEAN) !loc17;
			}
		}
	}
	RTHOOK(205);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_1_) = (EIF_BOOLEAN) loc27;
	RTHOOK(206);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_2_) = (EIF_BOOLEAN) loc28;
	RTHOOK(207);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.process_gtk_events */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
void F3320_37948 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTED;
	EIF_BOOLEAN EIF_VOLATILE loc1 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	RTLD;
	RTXD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,saved_except);
	RTLIU(2);
	RTXSLS;
	
	RTEAA("process_gtk_events", 3319, Current, 1, 0, 41098);
	RTGC;
	RTE_T
	RTHOOK(1);
	if ((EIF_BOOLEAN) !loc1) {
		RTHOOK(2);
		g_main_context_dispatch(g_main_context_default());
	}
	RTE_E
	RTXSC;
	RTHOOK(3);
	loc1 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(4);
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTHOOK(5);
	RTEOK;
	RTLE;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {EV_APPLICATION_IMP}.process_pending_events_on_default_context */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
void F3320_37949 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTED;
	EIF_BOOLEAN EIF_VOLATILE loc1 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN EIF_VOLATILE loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	RTLD;
	RTXD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,saved_except);
	RTLIU(2);
	RTXSLS;
	
	RTEAA("process_pending_events_on_default_context", 3319, Current, 2, 0, 41099);
	RTGC;
	RTE_T
	RTHOOK(1);
	if ((EIF_BOOLEAN) !loc2) {
		for (;;) {
			RTHOOK(2);
			if ((EIF_BOOLEAN) EIF_TEST(g_main_context_pending (NULL))) break;
			RTHOOK(3);
			loc1 = (EIF_BOOLEAN) EIF_TEST(g_main_context_iteration(NULL, FALSE));
		}
	}
	RTE_E
	RTXSC;
	RTHOOK(4);
	loc2 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(5);
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTHOOK(6);
	RTEOK;
	RTLE;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {EV_APPLICATION_IMP}.symbol_from_symbol_name */
EIF_POINTER F3320_37951 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc3 = (EIF_BOOLEAN) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,loc2);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTEAA("symbol_from_symbol_name", 3319, Current, 4, 1, 41101);
	RTGC;
	RTHOOK(1);
	loc1 = F3320_37952(Current);
	RTHOOK(2);
	tb1 = !loc1;
	if ((EIF_BOOLEAN) !tb1) {
		RTHOOK(3);
		loc2 = RTLNS(eif_new_type(3146, 0x00).id, 3146, _OBJSIZ_0_1_0_1_0_1_0_0_);
		F3147_34580(RTCW(loc2), arg1);
		RTHOOK(4);
		tp1 = *(EIF_POINTER *)(RTCW(loc2)+ _PTROFF_0_1_0_1_0_0_);
		loc3 = (EIF_BOOLEAN) EIF_TEST(g_module_symbol((GModule*) loc1, (gchar*) tp1, (gpointer*) (EIF_POINTER *) &(loc4)));
		RTHOOK(5);
		if (loc3) {
			RTHOOK(6);
			RTHOOK(7);
			RTLE;
			RTEE;
			return (EIF_POINTER) loc4;
		} else {
		}
	}
	RTHOOK(8);
	RTLE;
	RTEE;
	return (EIF_POINTER) 0;
}

/* {EV_APPLICATION_IMP}.main_module */
EIF_POINTER F3320_37952 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("main_module", 3319, Current, 0, 0, 41102);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) EIF_TEST(g_module_supported())) {
		RTHOOK(2);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp2 = tp1;
		Result = (EIF_POINTER) g_module_open((gchar*) tp2, (GModuleFlags) ((EIF_INTEGER_32) 0L));
	}
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.ctrl_pressed */
EIF_BOOLEAN F3320_37953 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("ctrl_pressed", 3319, Current, 0, 0, 41103);
	RTGC;
	RTHOOK(1);
	tu4_1 = F3320_38033(Current);
	tu4_2 = (EIF_NATURAL_32) GDK_CONTROL_MASK;
	tu4_1 = eif_bit_and(tu4_1,tu4_2);
	tu4_2 = (EIF_NATURAL_32) GDK_CONTROL_MASK;
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(tu4_1 == tu4_2);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.alt_pressed */
EIF_BOOLEAN F3320_37954 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("alt_pressed", 3319, Current, 0, 0, 41104);
	RTGC;
	RTHOOK(1);
	tu4_1 = F3320_38033(Current);
	tu4_2 = (EIF_NATURAL_32) GDK_MOD1_MASK;
	tu4_1 = eif_bit_and(tu4_1,tu4_2);
	tu4_2 = (EIF_NATURAL_32) GDK_MOD1_MASK;
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(tu4_1 == tu4_2);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.shift_pressed */
EIF_BOOLEAN F3320_37955 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("shift_pressed", 3319, Current, 0, 0, 41105);
	RTGC;
	RTHOOK(1);
	tu4_1 = F3320_38033(Current);
	tu4_2 = (EIF_NATURAL_32) GDK_SHIFT_MASK;
	tu4_1 = eif_bit_and(tu4_1,tu4_2);
	tu4_2 = (EIF_NATURAL_32) GDK_SHIFT_MASK;
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(tu4_1 == tu4_2);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.windows */
EIF_REFERENCE F3320_37958 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(7);
	RTLR(0,loc3);
	RTLR(1,loc4);
	RTLR(2,Current);
	RTLR(3,Result);
	RTLR(4,loc1);
	RTLR(5,tr1);
	RTLR(6,loc2);
	RTLIU(7);
	
	RTEAA("windows", 3319, Current, 4, 0, 41108);
	RTGC;
	RTHOOK(1);
	loc3 = RTLNS(eif_new_type(3176, 0x00).id, 3176, _OBJSIZ_0_0_0_1_0_0_0_0_);
	RTHOOK(2);
	{
		static EIF_TYPE_INDEX typarr0[] = {2928,4586,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		loc4 = RTLNS(typres0.id, 2928, _OBJSIZ_2_3_0_1_0_0_0_0_);
	}
	F2929_33241(RTCW(loc4));
	RTHOOK(3);
	Result = (EIF_REFERENCE) loc4;
	RTHOOK(4);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	loc1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R28706[Dtype(RTCW(tr1))-2908])(tr1);
	RTHOOK(5);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	F2932_33260(RTCW(tr1));
	for (;;) {
		RTHOOK(6);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
		tb1 = *(EIF_BOOLEAN *)(RTCW(tr1) + O29021[Dtype(tr1)-2928]);
		if (tb1) break;
		RTHOOK(7);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
		ti4_1 = (eif_optimize_return = 1, *(EIF_INTEGER_32 *)(FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R28700[Dtype(RTCW(tr1))-2696])(tr1));
		loc2 = F3177_35935(RTCW(loc3), ti4_1);
		loc2 = RTRV(eif_new_type(3411, 0x00), loc2);
		RTHOOK(8);
		tb2 = '\01';
		if (!(EIF_BOOLEAN)(loc2 == NULL)) {
			tb3 = F3309_37645(RTCW(loc2));
			tb2 = tb3;
		}
		if (tb2) {
			RTHOOK(9);
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R28705[Dtype(RTCW(tr1))-2780])(tr1);
		} else {
			RTHOOK(10);
			tr1 = F3309_37646(RTCW(loc2));
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R28687[Dtype(RTCW(loc4))-2673])(loc4, tr1);
			RTHOOK(11);
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R28462[Dtype(RTCW(tr1))-2519])(tr1);
		}
	}
	RTHOOK(12);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	F2932_33266(RTCW(tr1), loc1);
	RTHOOK(13);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.set_focused_popup_window */
void F3320_37960 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("set_focused_popup_window", 3319, Current, 0, 1, 41110);
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_44_) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.process_graphical_events */
void F3320_37961 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("process_graphical_events", 3319, Current, 0, 0, 41111);
	RTGC;
	RTHOOK(1);
	tp1 = (EIF_POINTER) gdk_display_get_default();
	inline_F433_7407(tp1);
	RTHOOK(2);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.motion_tuple */
static EIF_REFERENCE F3320_37962_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(5172)

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEAA("motion_tuple", 3319, Current, 0, 0, 41112);
	RTGC;
	RTOTP;
	RTHOOK(1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFFF9,7,3852,4510,4510,4507,4507,4507,4510,4510,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNTS(typres0.id, 8, 1);
	}
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F3320_37962 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(5172,F3320_37962_body,(Current));
}

/* {EV_APPLICATION_IMP}.app_motion_tuple */
static EIF_REFERENCE F3320_37963_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(5173)

	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTEAA("app_motion_tuple", 3319, Current, 0, 0, 41113);
	RTGC;
	RTOTP;
	RTHOOK(1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFFF9,3,3852,4177,4510,4510,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNTS(typres0.id, 4, 0);
	}
	tr2 = RTOUCR(5175,F3320_38050, (Current));
	((EIF_TYPED_VALUE *)tr1+1)->it_r = tr2;
	RTAR(tr1,tr2);
	((EIF_TYPED_VALUE *)tr1+2)->it_i4 = ((EIF_INTEGER_32) 0L);
	((EIF_TYPED_VALUE *)tr1+3)->it_i4 = ((EIF_INTEGER_32) 0L);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F3320_37963 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(5173,F3320_37963_body,(Current));
}

/* {EV_APPLICATION_IMP}.process_button_event */
void F3320_37964 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc6 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc8 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc9 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc11 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_REFERENCE tr1 = NULL;
	EIF_REAL_64 tr8_1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_NATURAL_32 tu4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(9);
	RTLR(0,Current);
	RTLR(1,loc3);
	RTLR(2,loc10);
	RTLR(3,tr1);
	RTLR(4,loc1);
	RTLR(5,loc4);
	RTLR(6,loc5);
	RTLR(7,loc7);
	RTLR(8,loc11);
	RTLIU(9);
	
	RTEAA("process_button_event", 3319, Current, 11, 2, 41114);
	RTGC;
	RTHOOK(1);
	tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->x_root);
	loc8 = (EIF_INTEGER_32) tr8_1;
	ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_);
	loc8 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc8 + ti4_1);
	RTHOOK(2);
	tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->y_root);
	loc9 = (EIF_INTEGER_32) tr8_1;
	ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_);
	loc9 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc9 + ti4_1);
	RTHOOK(3);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(4);
	loc3 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
	RTHOOK(5);
	tp1 = (EIF_POINTER) (((GdkEventButton *)arg1)->window);
	
	eif_put_pointer_item(RTCW(loc3),1,tp1);
	RTHOOK(6);
	
	eif_put_integer_32_item(RTCW(loc3),2,loc8);
	RTHOOK(7);
	
	eif_put_integer_32_item(RTCW(loc3),3,loc9);
	RTHOOK(8);
	tu4_1 = (EIF_NATURAL_32) (((GdkEventButton *)arg1)->state);
	
	eif_put_natural_32_item(RTCW(loc3),4,tu4_1);
	RTHOOK(9);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_29_);
	loc10 = tr1;
	if (EIF_TEST(loc10)) {
		RTHOOK(10);
		loc1 = *(EIF_REFERENCE *)(loc10 + O31556[Dtype(loc10)-3244]);
		loc1 = RTRV(eif_new_type(3375, 0x00), loc1);
	} else {
		RTHOOK(11);
		if ((EIF_BOOLEAN)(F3320_38029(Current) != NULL)) {
			RTHOOK(12);
			loc1 = F3320_38029(Current);
		} else {
			RTHOOK(13);
			loc2 = eif_pointer_item(RTCW(loc3),1);
			RTHOOK(14);
			tb1 = !loc2;
			if ((EIF_BOOLEAN) !tb1) {
				RTHOOK(15);
				loc1 = F3320_38046(Current, loc2);
				loc1 = RTRV(eif_new_type(3375, 0x00), loc1);
			}
		}
	}
	RTHOOK(16);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		RTHOOK(17);
		loc4 = F3358_38656(RTCW(loc1));
		loc4 = RTRV(eif_new_type(3411, 0x00), loc4);
		RTHOOK(18);
		loc5 = loc4;
		loc5 = RTRV(eif_new_type(3413, 0x00), loc5);
		RTHOOK(19);
		if ((EIF_BOOLEAN)(loc5 != NULL)) {
			RTHOOK(20);
			loc7 = loc1;
			loc7 = RTRV(eif_new_type(3460, 0x00), loc7);
		}
		RTHOOK(21);
		loc6 = '\01';
		tb1 = '\01';
		tb2 = '\0';
		tb3 = '\0';
		if ((EIF_BOOLEAN) ((EIF_BOOLEAN)(loc5 != NULL) && (EIF_BOOLEAN)(loc7 != NULL))) {
			tb3 = (EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventButton *)arg1)->button) == ((EIF_INTEGER_32) 3L));
		}
		if (tb3) {
			tb3 = '\0';
			tr1 = *(EIF_REFERENCE *)(RTCW(loc1) + O33179[Dtype(loc1)-3374]);
			if ((EIF_BOOLEAN)(tr1 == NULL)) {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc1) + O33180[Dtype(loc1)-3374]);
				tb3 = (EIF_BOOLEAN)(tr1 == NULL);
			}
			tb2 = tb3;
		}
		if (!tb2) {
			tp2 = *(EIF_POINTER *)(RTCW(loc1) + O33003[Dtype(loc1)-3355]);
			tb1 = (EIF_BOOLEAN) !(EIF_BOOLEAN) EIF_TEST(gtk_widget_is_sensitive((GtkWidget*) tp2));
		}
		if (!tb1) {
			tb1 = '\0';
			tb2 = '\0';
			if ((EIF_BOOLEAN)(loc4 != NULL)) {
				tb3 = F3412_39496(RTCW(loc4));
				tb2 = tb3;
			}
			if (tb2) {
				tb1 = (EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_29_) == NULL);
			}
			loc6 = tb1;
		}
	}
	RTHOOK(22);
	if ((EIF_BOOLEAN)(loc5 == NULL)) {
		RTHOOK(23);
		loc5 = *(EIF_REFERENCE *)(Current + _REFACS_44_);
	}
	RTHOOK(24);
	if ((EIF_BOOLEAN)(loc5 != NULL)) {
		RTHOOK(25);
		ti4_1 = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->type);
		ti4_2 = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->button);
		F3414_39529(RTCW(loc5), ti4_1, ti4_2, loc8, loc9);
	}
	RTHOOK(26);
	if ((EIF_BOOLEAN) !loc6) {
		RTHOOK(27);
		tb1 = '\0';
		tb2 = '\0';
		if ((EIF_BOOLEAN)(F3320_38029(Current) == NULL)) {
			tb2 = (EIF_BOOLEAN) !arg2;
		}
		if (tb2) {
			tb2 = '\01';
			if (!(EIF_BOOLEAN)(loc1 == NULL)) {
				tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R33233[Dtype(RTCW(loc1))-3392])(loc1);
				tb2 = (EIF_BOOLEAN) !tb3;
			}
			tb1 = tb2;
		}
		if (tb1) {
			RTHOOK(28);
			gtk_main_do_event((GdkEvent*) arg1);
		}
		RTHOOK(29);
		if ((EIF_BOOLEAN)(loc1 != NULL)) {
			RTHOOK(30);
			tb1 = '\0';
			tb2 = '\0';
			if ((EIF_BOOLEAN) !arg2) {
				tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R33233[Dtype(RTCW(loc1))-3392])(loc1);
				tb2 = tb3;
			}
			if (tb2) {
				loc11 = loc1;
				tb1 = EIF_TEST(loc11);
			}
			if (tb1) {
				RTHOOK(31);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_POINTER, EIF_BOOLEAN)) R33024[Dtype(loc11)-3356])(loc11, arg1, arg2);
			} else {
				RTHOOK(32);
				ti4_1 = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->type);
				tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->x);
				ti4_2 = (EIF_INTEGER_32) tr8_1;
				tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->y);
				ti4_3 = (EIF_INTEGER_32) tr8_1;
				ti4_4 = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->button);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_REAL_64, EIF_REAL_64, EIF_REAL_64, EIF_INTEGER_32, EIF_INTEGER_32)) R33246[Dtype(RTCW(loc1))-3392])(loc1, ti4_1, ti4_2, ti4_3, ti4_4, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, loc8, loc9);
			}
		}
	}
	RTHOOK(33);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	RTHOOK(34);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.handle_dnd */
void F3320_37965 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_POINTER loc5 = (EIF_POINTER) 0;
	EIF_POINTER loc6 = (EIF_POINTER) 0;
	EIF_POINTER loc7 = (EIF_POINTER) 0;
	EIF_NATURAL_32 loc8 = (EIF_NATURAL_32) 0;
	EIF_POINTER loc9 = (EIF_POINTER) 0;
	EIF_INTEGER_32 loc10 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc11 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc12 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc13 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc14 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc15 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc16 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc17 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc18 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	RTCFDT;
	RTLD;
	
	RTLI(9);
	RTLR(0,loc17);
	RTLR(1,loc18);
	RTLR(2,loc13);
	RTLR(3,tr1);
	RTLR(4,loc14);
	RTLR(5,tr2);
	RTLR(6,loc16);
	RTLR(7,Current);
	RTLR(8,tr3);
	RTLIU(9);
	
	RTEAA("handle_dnd", 3319, Current, 18, 1, 41115);
	RTGC;
	RTHOOK(1);
	loc1 = (EIF_POINTER) (((GdkEventDND *)arg1)->context);
	RTHOOK(2);
	loc4 = (EIF_POINTER) gdk_drag_context_get_source_window((GdkDragContext*) loc1);
	RTHOOK(3);
	loc6 = (EIF_POINTER) gdk_drag_get_selection((GdkDragContext*) loc1);
	RTHOOK(4);
	loc8 = (EIF_NATURAL_32) (((GdkEventDND *)arg1)->time);
	RTHOOK(5);
	loc2 = (EIF_POINTER) gdk_drag_context_list_targets((GdkDragContext*) loc1);
	RTHOOK(6);
	loc17 = RTMS_EX_H("STRING",6,1544365639);
	RTHOOK(7);
	loc18 = RTMS_EX_H("file://",7,1704345391);
	for (;;) {
		RTHOOK(8);
		tb1 = !loc2;
		if (tb1) break;
		RTHOOK(9);
		loc3 = (EIF_POINTER) (((GList *)loc2)->data);
		RTHOOK(10);
		tb2 = !loc3;
		if ((EIF_BOOLEAN) !tb2) {
			RTHOOK(11);
			gdk_selection_convert((GdkWindow*) loc4, (GdkAtom) loc6, (GdkAtom) loc3, (guint32) loc8);
			RTHOOK(12);
			loc12 = (EIF_INTEGER_32) gdk_selection_property_get((GdkWindow*) loc4, (guchar**) (EIF_POINTER *) &(loc9), (GdkAtom*) (EIF_INTEGER_32 *) &(loc10), (gint*) (EIF_INTEGER_32 *) &(loc11));
			RTHOOK(13);
			tb2 = !loc9;
			if ((EIF_BOOLEAN) !tb2) {
				RTHOOK(14);
				loc13 = RTLNS(eif_new_type(4028, 0x00).id, 4028, _OBJSIZ_1_1_0_3_0_0_0_0_);
				tp1 = (EIF_POINTER) gdk_atom_name((GdkAtom) loc3);
				F4026_47874(RTCW(loc13), tp1);
				RTHOOK(15);
				tr1 = F4022_47759(RTCW(loc17));
				tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R11[Dtype(RTCW(loc13))-34])(loc13, tr1);
				if (tb2) {
					RTHOOK(16);
					loc13 = RTLNS(eif_new_type(4028, 0x00).id, 4028, _OBJSIZ_1_1_0_3_0_0_0_0_);
					F4026_47874(RTCW(loc13), loc9);
					RTHOOK(17);
					tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\012';
					loc14 = F4022_47778(RTCW(loc13), tw1);
					RTHOOK(18);
					(FUNCTION_CAST(void, (EIF_REFERENCE)) R28446[Dtype(RTCW(loc14))-2519])(loc14);
					for (;;) {
						RTHOOK(19);
						tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R28460[Dtype(RTCW(loc14))-2519])(loc14);
						if (tb2) break;
						RTHOOK(20);
						tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R28700[Dtype(RTCW(loc14))-2696])(loc14);
						ti4_1 = F4026_47887(RTCW(tr1), loc18, ((EIF_INTEGER_32) 1L));
						if ((EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 1L))) {
							RTHOOK(21);
							tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R28700[Dtype(RTCW(loc14))-2696])(loc14);
							tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R28700[Dtype(RTCW(loc14))-2696])(loc14);
							ti4_1 = *(EIF_INTEGER_32 *)(RTCW(tr2) + O39290[Dtype(tr2)-4025]);
							tr1 = F4029_48066(RTCW(tr1), ((EIF_INTEGER_32) 8L), ti4_1);
							(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R28704[Dtype(RTCW(loc14))-2908])(loc14, tr1);
							RTHOOK(22);
							loc15 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
							RTHOOK(23);
							(FUNCTION_CAST(void, (EIF_REFERENCE)) R28462[Dtype(RTCW(loc14))-2519])(loc14);
						} else {
							RTHOOK(24);
							(FUNCTION_CAST(void, (EIF_REFERENCE)) R28705[Dtype(RTCW(loc14))-2780])(loc14);
						}
					}
				}
			}
		}
		RTHOOK(25);
		tp1 = (EIF_POINTER) (((GList *)loc2)->next);
		loc2 = (EIF_POINTER) tp1;
	}
	RTHOOK(26);
	if ((EIF_BOOLEAN) (loc15 && (EIF_BOOLEAN)(loc14 != NULL))) {
		RTHOOK(27);
		loc5 = (EIF_POINTER) gdk_drag_context_get_dest_window((GdkDragContext*) loc1);
		RTHOOK(28);
		tb3 = !loc5;
		if ((EIF_BOOLEAN) !tb3) {
			RTHOOK(29);
			gdk_window_get_user_data((GdkWindow*) loc5, (gpointer*) (EIF_POINTER *) &(loc7));
			RTHOOK(30);
			tb3 = !loc7;
			if ((EIF_BOOLEAN) !tb3) {
				RTHOOK(31);
				loc16 = F3320_38044(Current, loc7);
				loc16 = RTRV(eif_new_type(3377, 0x00), loc16);
				RTHOOK(32);
				tb3 = '\0';
				if ((EIF_BOOLEAN)(loc16 != NULL)) {
					tb4 = F3309_37645(RTCW(loc16));
					tb3 = (EIF_BOOLEAN) !tb4;
				}
				if (tb3) {
					RTHOOK(33);
					tr1 = *(EIF_REFERENCE *)(RTCW(loc16) + O15865[Dtype(loc16)-1120]);
					if ((EIF_BOOLEAN)(tr1 != NULL)) {
						RTHOOK(34);
						tr1 = F1121_16635(RTCW(loc16));
						{
							static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,3852,2893,4028,0xFFFF};
							EIF_TYPE typres0;
							static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
							
							typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
							tr2 = RTLNTS(typres0.id, 2, 0);
						}
						((EIF_TYPED_VALUE *)tr2+1)->it_r = loc14;
						RTAR(tr2,loc14);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R29277[Dtype(RTCW(tr1))-3013])(tr1, tr2);
					}
					RTHOOK(35);
					if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_7_) != NULL)) {
						RTHOOK(36);
						tr1 = *(EIF_REFERENCE *)(Current + _REFACS_7_);
						{
							static EIF_TYPE_INDEX typarr0[] = {0xFFF9,2,3852,4177,2893,4028,0xFFFF};
							EIF_TYPE typres0;
							static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
							
							typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
							tr2 = RTLNTS(typres0.id, 3, 0);
						}
						tr3 = F3309_37646(RTCW(loc16));
						((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
						RTAR(tr2,tr3);
						((EIF_TYPED_VALUE *)tr2+2)->it_r = loc14;
						RTAR(tr2,loc14);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R29277[Dtype(RTCW(tr1))-3013])(tr1, tr2);
					}
				}
			}
		}
	}
	RTHOOK(37);
	gdk_drop_finish((GdkDragContext*) loc1, (gboolean) loc15, (guint32) loc8);
	RTHOOK(38);
	gtk_drag_finish((GdkDragContext*) loc1, (gboolean) loc15, (gboolean) (EIF_BOOLEAN) 0, (guint32) loc8);
	RTHOOK(39);
	g_free((gpointer) loc9);
	RTHOOK(40);
	g_free((gpointer) loc2);
	RTHOOK(41);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.sleep */
void F3320_38017 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_64 ti8_1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("sleep", 3319, Current, 0, 1, 41167);
	RTGC;
	RTHOOK(1);
	ti8_1 = (EIF_INTEGER_64) arg1;
	F2050_28539(Current, (EIF_INTEGER_64) (((EIF_INTEGER_64) RTI64C(1000000)) * ti8_1));
	RTHOOK(2);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.destroy */
void F3320_38018 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEAA("destroy", 3319, Current, 0, 0, 41168);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) !F3309_37645(Current)) {
		RTHOOK(2);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		if ((EIF_BOOLEAN)(*(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_2_) != tp1)) {
			RTHOOK(3);
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_2_);
			inline_F432_7372(tp1);
		}
		RTHOOK(4);
		F3309_37661(Current, (EIF_BOOLEAN) 1);
		RTHOOK(5);
		tr1 = F759_12243(Current);
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R29277[Dtype(RTCW(tr1))-3013])(tr1, NULL);
	}
	RTHOOK(6);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.tooltip_delay */
EIF_INTEGER_32 F3320_38019 (EIF_REFERENCE Current)
{
	return *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_19_);
}


/* {EV_APPLICATION_IMP}.set_tooltip_delay */
void F3320_38020 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("set_tooltip_delay", 3319, Current, 0, 1, 41170);
	RTHOOK(1);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_19_) = (EIF_INTEGER_32) arg1;
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.set_docking_source */
void F3320_38021 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("set_docking_source", 3319, Current, 0, 1, 41171);
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_46_) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.on_pick */
void F3320_38022 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,arg2);
	RTLIU(5);
	
	RTEAA("on_pick", 3319, Current, 0, 2, 41172);
	RTGC;
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_45_) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	tr1 = F3226_36639(RTCV(F3309_37646(Current)));
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,3852,0,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr2 = RTLNTS(typres0.id, 2, 0);
	}
	((EIF_TYPED_VALUE *)tr2+1)->it_r = arg2;
	RTAR(tr2,arg2);
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R29277[Dtype(RTCW(tr1))-3013])(tr1, tr2);
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.on_drop */
void F3320_38023 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("on_drop", 3319, Current, 0, 1, 41173);
	RTHOOK(1);
	*(EIF_REFERENCE *)(Current + _REFACS_45_) = (EIF_REFERENCE) NULL;
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.pnd_source_hint */
static EIF_REFERENCE F3320_38024_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(5176)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("pnd_source_hint", 3319, Current, 0, 0, 41174);
	RTGC;
	RTOTP;
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(3245, 0x00).id, 3245, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F3245_36776(RTCW(tr1));
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F3320_38024 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(5176,F3320_38024_body,(Current));
}

/* {EV_APPLICATION_IMP}.activate_docking_source_hint */
void F3320_38025 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_REFERENCE arg3)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg3);
	RTLIU(3);
	
	RTEAA("activate_docking_source_hint", 3319, Current, 0, 3, 41175);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) !RTOUCB(EIF_BOOLEAN,2688,F3320_37928, (Current))) {
		RTHOOK(2);
		tr1 = RTOUCR(5176,F3320_38024, (Current));
		F3246_36816(RTCW(tr1), arg1, arg2, ((EIF_INTEGER_32) 50L), ((EIF_INTEGER_32) 50L), arg3);
	}
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.deactivate_docking_source_hint */
void F3320_38026 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("deactivate_docking_source_hint", 3319, Current, 0, 0, 41176);
	RTGC;
	RTHOOK(1);
	tb1 = '\0';
	if ((EIF_BOOLEAN) !RTOUCB(EIF_BOOLEAN,2688,F3320_37928, (Current))) {
		tb2 = F3246_36815(RTCV(RTOUCR(5176,F3320_38024, (Current))));
		tb1 = tb2;
	}
	if (tb1) {
		RTHOOK(2);
		F3246_36817(RTCV(RTOUCR(5176,F3320_38024, (Current))));
	}
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.is_in_transport */
EIF_BOOLEAN F3320_38028 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("is_in_transport", 3319, Current, 0, 0, 41178);
	RTGC;
	RTHOOK(1);
	Result = '\01';
	if (!(EIF_BOOLEAN)(F3320_38029(Current) != NULL)) {
		Result = (EIF_BOOLEAN)(F3320_38030(Current) != NULL);
	}
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.pick_and_drop_source */
EIF_REFERENCE F3320_38029 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
	
	RTEAA("pick_and_drop_source", 3319, Current, 0, 0, 41179);
	RTHOOK(1);
	RTHOOK(2);
	RTEE;
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_45_);
}

/* {EV_APPLICATION_IMP}.docking_source */
EIF_REFERENCE F3320_38030 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
	
	RTEAA("docking_source", 3319, Current, 0, 0, 41180);
	RTHOOK(1);
	RTHOOK(2);
	RTEE;
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_46_);
}

/* {EV_APPLICATION_IMP}.keyboard_modifier_mask */
EIF_NATURAL_32 F3320_38033 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_NATURAL_32 tu4_1;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLIU(2);
	
	RTEAA("keyboard_modifier_mask", 3319, Current, 1, 0, 41183);
	RTGC;
	RTHOOK(1);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_9_)) {
		RTHOOK(2);
		loc1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
	} else {
		RTHOOK(3);
		loc1 = F3320_38034(Current);
	}
	RTHOOK(4);
	tu4_1 = eif_natural_32_item(RTCW(loc1),4);
	RTHOOK(5);
	RTLE;
	RTEE;
	return (EIF_NATURAL_32) tu4_1;
}

/* {EV_APPLICATION_IMP}.retrieve_display_data */
EIF_REFERENCE F3320_38034 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("retrieve_display_data", 3319, Current, 0, 0, 41184);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_)) {
		RTHOOK(2);
		F3320_38035(Current);
	}
	RTHOOK(3);
	RTHOOK(4);
	RTLE;
	RTEE;
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_48_);
}

/* {EV_APPLICATION_IMP}.update_display_data */
void F3320_38035 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_NATURAL_32 loc2 = (EIF_NATURAL_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_POINTER loc6 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(2);
	RTLR(0,loc5);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("update_display_data", 3319, Current, 6, 0, 41185);
	RTGC;
	RTHOOK(1);
	loc5 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
	RTHOOK(2);
	loc6 = inline_F356_6066();
	RTHOOK(3);
	inline_F356_6063(loc6, (EIF_INTEGER_32 *) &(loc3), (EIF_INTEGER_32 *) &(loc4));
	RTHOOK(4);
	loc1 = (EIF_POINTER) gdk_device_get_window_at_position((GdkDevice*) loc6, (gint*) (EIF_INTEGER_32 *) &(loc3), (gint*) (EIF_INTEGER_32 *) &(loc4));
	RTHOOK(5);
	tb1 = !loc1;
	if ((EIF_BOOLEAN) !tb1) {
		RTHOOK(6);
		tp1 = (EIF_POINTER) gdk_window_get_device_position((GdkWindow*) loc1, (GdkDevice *) loc6, (gint*) (EIF_INTEGER_32 *) &(loc3), (gint*) (EIF_INTEGER_32 *) &(loc4), (GdkModifierType*) (EIF_NATURAL_32 *) &(loc2));
		loc1 = (EIF_POINTER) tp1;
		RTHOOK(7);
		inline_F356_6063(loc6, (EIF_INTEGER_32 *) &(loc3), (EIF_INTEGER_32 *) &(loc4));
		RTHOOK(8);
		
		eif_put_pointer_item(RTCW(loc5),1,loc1);
		RTHOOK(9);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_);
		
		eif_put_integer_32_item(RTCW(loc5),2,(EIF_INTEGER_32) (loc3 + ti4_1));
		RTHOOK(10);
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_);
		
		eif_put_integer_32_item(RTCW(loc5),3,(EIF_INTEGER_32) (loc4 + ti4_2));
		RTHOOK(11);
		
		eif_put_natural_32_item(RTCW(loc5),4,loc2);
	}
	RTHOOK(12);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.enable_debugger */
void F3320_38040 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("enable_debugger", 3319, Current, 0, 0, 41190);
	RTGC;
	RTHOOK(1);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_)) {
		RTHOOK(2);
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
		RTHOOK(3);
		tb1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_49_12_);
		inline_F1036_15679(tb1);
	}
	RTHOOK(4);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.disable_debugger */
void F3320_38041 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("disable_debugger", 3319, Current, 0, 0, 41191);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_)) {
		RTHOOK(2);
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		RTHOOK(3);
		tb1 = EIF_TEST (inline_F1036_15680());
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_12_) = (EIF_BOOLEAN) tb1;
		RTHOOK(4);
		F1036_15678(Current);
	}
	RTHOOK(5);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.eif_object_from_gtk_object */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
EIF_REFERENCE F3320_38044 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTED;
	EIF_POINTER EIF_VOLATILE loc1 = (EIF_POINTER) 0;
	EIF_BOOLEAN EIF_VOLATILE loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	EIF_BOOLEAN  EIF_VOLATILE tb2;
	EIF_BOOLEAN  EIF_VOLATILE tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	RTXD;
	
	RTLI(4);
	RTLR(0,tr1);
	RTLR(1,Result);
	RTLR(2,Current);
	RTLR(3,saved_except);
	RTLIU(4);
	RTXSLS;
	
	RTEAA("eif_object_from_gtk_object", 3319, Current, 2, 1, 41194);
	RTGC;
	RTE_T
	RTHOOK(1);
	if ((EIF_BOOLEAN) !loc2) {
		RTHOOK(2);
		loc1 = (EIF_POINTER) arg1;
		for (;;) {
			RTHOOK(3);
			tb1 = '\01';
			if (!(EIF_BOOLEAN)(Result != NULL)) {
				tb2 = !loc1;
				tb1 = tb2;
			}
			if (tb1) break;
			RTHOOK(4);
			tr1 = RTLNS(eif_new_type(3178, 0x00).id, 3178, _OBJSIZ_0_0_0_1_0_0_0_0_);
			Result = F3179_36041(RTCW(tr1), loc1);
			RTHOOK(5);
			tp1 = (EIF_POINTER) gtk_widget_get_parent((GtkWidget*) loc1);
			loc1 = (EIF_POINTER) tp1;
		}
		RTHOOK(6);
		tb2 = '\0';
		if ((EIF_BOOLEAN)(Result != NULL)) {
			tb3 = F3309_37645(RTCW(Result));
			tb2 = tb3;
		}
		if (tb2) {
			RTHOOK(7);
			Result = (EIF_REFERENCE) NULL;
		}
	} else {
		
	}
	RTE_E
	RTXSC;
	RTHOOK(9);
	Result = (EIF_REFERENCE) NULL;
	RTHOOK(10);
	loc2 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(11);
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTHOOK(12);
	RTEOK;
	RTLE;
	return Result;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {EV_APPLICATION_IMP}.gtk_widget_imp_at_pointer_position */
EIF_REFERENCE F3320_38045 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_imp_at_pointer_position", 3319, Current, 3, 0, 41195);
	RTGC;
	RTHOOK(1);
	tp1 = inline_F356_6066();
	loc3 = (EIF_POINTER) gdk_device_get_window_at_position((GdkDevice*) tp1, (gint*) (EIF_INTEGER_32 *) &(loc1), (gint*) (EIF_INTEGER_32 *) &(loc2));
	RTHOOK(2);
	tb1 = !loc3;
	if ((EIF_BOOLEAN) !tb1) {
		RTHOOK(3);
		RTHOOK(4);
		RTLE;
		RTEE;
		return (EIF_REFERENCE) F3320_38046(Current, loc3);
	}
	RTHOOK(5);
	RTLE;
	RTEE;
	return (EIF_REFERENCE) 0;
}

/* {EV_APPLICATION_IMP}.gtk_widget_from_gdk_window */
EIF_REFERENCE F3320_38046 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_BOOLEAN tb1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,Result);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("gtk_widget_from_gdk_window", 3319, Current, 1, 1, 41196);
	RTGC;
	RTHOOK(1);
	gdk_window_get_user_data((GdkWindow*) arg1, (gpointer*) (EIF_POINTER *) &(loc1));
	RTHOOK(2);
	tb1 = !loc1;
	if ((EIF_BOOLEAN) !tb1) {
		RTHOOK(3);
		Result = F3320_38044(Current, loc1);
		RTHOOK(4);
		RTLE;
		RTEE;
		return RTRV(eif_new_type(3357, 0x00), Result);
	}
	RTHOOK(5);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.default_gtk_window */
static EIF_POINTER F3320_38048_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
#define Result RTOTRB(EIF_POINTER)
	RTOUDB(EIF_POINTER, 5177)

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEAA("default_gtk_window", 3319, Current, 0, 0, 41198);
	RTGC;
	RTOTP;
	RTHOOK(1);
	tr1 = RTOUCR(5178,F3320_38052, (Current));
	Result = *(EIF_POINTER *)(RTCW(tr1) + O33003[Dtype(tr1)-3355]);
	RTHOOK(2);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	ti4_1 = F3177_35934(RTCV(RTOUCR(5178,F3320_38052, (Current))));
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R28690[Dtype(RTCW(tr1))-2673])(tr1, (EIF_REFERENCE) &ti4_1);
	RTOTE;
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F3320_38048 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCB(EIF_POINTER,5177,F3320_38048_body,(Current));
}

/* {EV_APPLICATION_IMP}.default_gdk_window */
EIF_POINTER F3320_38049 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("default_gdk_window", 3319, Current, 0, 0, 41199);
	RTGC;
	RTHOOK(1);
	tp1 = RTOUCB(EIF_POINTER,5177,F3320_38048, (Current));
	Result = (EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp1);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.default_widget */
static EIF_REFERENCE F3320_38050_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(5175)

	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEAA("default_widget", 3319, Current, 1, 0, 41200);
	RTGC;
	RTOTP;
	RTHOOK(1);
	RTCT0("attached {EV_WIDGET} default_window as l_widget", EX_CHECK);
	tr1 = RTOUCR(5174,F3320_38051, (Current));
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		RTCK0;
	} else {
		RTCF0;
	}
	RTHOOK(2);
	Result = (EIF_REFERENCE) loc1;
	RTOTE;
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F3320_38050 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(5175,F3320_38050_body,(Current));
}

/* {EV_APPLICATION_IMP}.default_window */
static EIF_REFERENCE F3320_38051_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(5174)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("default_window", 3319, Current, 0, 0, 41201);
	RTGC;
	RTOTP;
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(4586, 0x00).id, 4586, _OBJSIZ_6_3_0_1_0_0_0_0_);
	F3245_36776(RTCW(tr1));
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F3320_38051 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(5174,F3320_38051_body,(Current));
}

/* {EV_APPLICATION_IMP}.default_window_imp */
static EIF_REFERENCE F3320_38052_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(5178)

	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEAA("default_window_imp", 3319, Current, 1, 0, 41202);
	RTGC;
	RTOTP;
	RTHOOK(1);
	RTCT0("attached {EV_WINDOW_IMP} default_window.implementation as win", EX_CHECK);
	tr1 = RTOUCR(5174,F3320_38051, (Current));
	tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + O31556[Dtype(tr1)-3244]);
	loc1 = tr1;
	loc1 = RTRV(eif_new_type(3411, 0x00),loc1);
	if (EIF_TEST(loc1)) {
		RTCK0;
	} else {
		RTCF0;
	}
	RTHOOK(2);
	Result = (EIF_REFERENCE) loc1;
	RTOTE;
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F3320_38052 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(5178,F3320_38052_body,(Current));
}

/* {EV_APPLICATION_IMP}.reusable_rectangle_struct */
static EIF_POINTER F3320_38053_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
#define Result RTOTRB(EIF_POINTER)
	RTOUDB(EIF_POINTER, 5171)

	
	RTEAA("reusable_rectangle_struct", 3319, Current, 0, 0, 41203);
	RTOTP;
	RTHOOK(1);
	Result = (EIF_POINTER) calloc (sizeof(GdkRectangle), 1);
	RTOTE;
	RTHOOK(2);
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F3320_38053 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCB(EIF_POINTER,5171,F3320_38053_body,(Current));
}

/* {EV_APPLICATION_IMP}.c_string_from_eiffel_string */
EIF_REFERENCE F3320_38054 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,arg1);
	RTLR(1,tr1);
	RTLR(2,Current);
	RTLR(3,Result);
	RTLIU(4);
	
	RTEAA("c_string_from_eiffel_string", 3319, Current, 0, 1, 41204);
	RTGC;
	RTHOOK(1);
	ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R39166[Dtype(RTCW(arg1))-4024])(arg1);
	if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 1000L))) {
		RTHOOK(2);
		tr1 = RTLNS(eif_new_type(3146, 0x00).id, 3146, _OBJSIZ_0_1_0_1_0_1_0_0_);
		F3147_34580(RTCW(tr1), arg1);
		RTHOOK(3);
		RTLE;
		RTEE;
		return (EIF_REFERENCE) tr1;
	} else {
		RTHOOK(4);
		Result = RTOUCR(5169,F3320_38055, (Current));
		RTHOOK(5);
		F3147_34580(RTCW(Result), arg1);
	}
	RTHOOK(6);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.reusable_gtk_c_string */
static EIF_REFERENCE F3320_38055_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(5169)

	RTLI(3);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("reusable_gtk_c_string", 3319, Current, 0, 0, 41205);
	RTGC;
	RTOTP;
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(3146, 0x00).id, 3146, _OBJSIZ_0_1_0_1_0_1_0_0_);
	tr2 = RTMS_EX_H("",0,0);
	F3147_34580(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F3320_38055 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(5169,F3320_38055_body,(Current));
}

/* {EV_APPLICATION_IMP}.reusable_rgba_struct */
static EIF_POINTER F3320_38056_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
#define Result RTOTRB(EIF_POINTER)
	RTOUDB(EIF_POINTER, 4988)

	
	RTEAA("reusable_rgba_struct", 3319, Current, 0, 0, 41206);
	RTOTP;
	RTHOOK(1);
	Result = (EIF_POINTER) calloc (sizeof(GdkRGBA), 1);
	RTOTE;
	RTHOOK(2);
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F3320_38056 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCB(EIF_POINTER,4988,F3320_38056_body,(Current));
}

/* {EV_APPLICATION_IMP}.initialize_threading */
void F3320_38057 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEAA("initialize_threading", 3319, Current, 0, 0, 41207);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_thread_capable__b) {
		RTHOOK(2);
		tr1 = RTLNSMART(eif_new_type(3141, 0).id);
		F3142_34522(RTCW(tr1));
		RTAR(Current, tr1);
		*(EIF_REFERENCE *)(Current + _REFACS_33_) = (EIF_REFERENCE) tr1;
	}
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.enable_ev_gtk_log */
void F3320_38060 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("enable_ev_gtk_log", 3319, Current, 0, 1, 41210);enable_ev_gtk_log((EIF_INTEGER) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.gtk_init_check */
EIF_BOOLEAN F3320_38062 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_init_check", 3319, Current, 0, 0, 41212);
	Result = (EIF_BOOLEAN) EIF_TEST(gtk_init_check (&eif_argc, &eif_argv));
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.c_get_screen_geometry */
void F3320_38063 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_get_screen_geometry", 3319, Current, 0, 1, 41213);
	inline_F3320_38063 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
}

void EIF_Minit2269 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
