/*
 * Code for class EV_PIXEL_BUFFER_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev2283.h"
#include "eif_built_in.h"
#include <ev_gtk.h>
#include "ev_c_util.h"
#include "eif_helpers.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F433_7526
static EIF_INTEGER_32 inline_F433_7526 (void)
{
	return GDK_COLORSPACE_RGB;
	;
}
#define INLINE_F433_7526
#endif
#ifndef INLINE_F433_7550
static EIF_POINTER inline_F433_7550 (EIF_INTEGER_32 arg1, EIF_BOOLEAN arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	return gdk_pixbuf_new ((GdkColorspace) arg1, (gboolean) arg2, (int) arg3, (int) arg4, (int) arg5);
	;
}
#define INLINE_F433_7550
#endif
#ifndef INLINE_F433_7552
static void inline_F433_7552 (EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	gdk_pixbuf_fill ((GdkPixbuf*)arg1, (guint32) arg2);
	;
}
#define INLINE_F433_7552
#endif
#ifndef INLINE_F433_7546
static EIF_POINTER inline_F433_7546 (EIF_POINTER arg1, EIF_POINTER* arg2)
{
	return gdk_pixbuf_new_from_file ((char*) arg1, (GError**) arg2);
	;
}
#define INLINE_F433_7546
#endif
#ifndef INLINE_F433_7551
static EIF_POINTER inline_F433_7551 (EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	return gdk_pixbuf_new_subpixbuf ((GdkPixbuf*)arg1, (int) arg2, (int) arg3, (int) arg4, (int) arg5);
	;
}
#define INLINE_F433_7551
#endif
#ifndef INLINE_F432_7372
static void inline_F432_7372 (EIF_POINTER arg1)
{
	g_object_unref((gpointer) arg1)
	;
}
#define INLINE_F432_7372
#endif
#ifndef INLINE_F433_7394
static int inline_F433_7394 (EIF_POINTER arg1)
{
	return (int) (GDK_IS_PIXBUF(arg1))
	;
}
#define INLINE_F433_7394
#endif
#ifndef INLINE_F433_7540
static EIF_POINTER inline_F433_7540 (EIF_POINTER arg1)
{
	return gdk_pixbuf_copy ((GdkPixbuf*)arg1);
	;
}
#define INLINE_F433_7540
#endif
#ifndef INLINE_F433_7559
static EIF_POINTER inline_F433_7559 (void)
{
	return gdk_screen_get_default()
	;
}
#define INLINE_F433_7559
#endif
#ifndef INLINE_F433_7561
static EIF_POINTER inline_F433_7561 (EIF_POINTER arg1)
{
	return gdk_screen_get_root_window ((GdkScreen *)arg1);;
	;
}
#define INLINE_F433_7561
#endif
#ifndef INLINE_F433_7538
static EIF_POINTER inline_F433_7538 (EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	return gdk_pixbuf_get_from_window ((GdkWindow *) arg1, (gint) arg2, (gint) arg3, (gint) arg4, (gint) arg5);
	;
}
#define INLINE_F433_7538
#endif
#ifndef INLINE_F433_7541
static EIF_INTEGER_32 inline_F433_7541 (EIF_POINTER arg1)
{
	return gdk_pixbuf_get_width ((GdkPixbuf*)arg1);
	;
}
#define INLINE_F433_7541
#endif
#ifndef INLINE_F433_7542
static EIF_INTEGER_32 inline_F433_7542 (EIF_POINTER arg1)
{
	return gdk_pixbuf_get_height ((GdkPixbuf*)arg1);
	;
}
#define INLINE_F433_7542
#endif
#ifndef INLINE_F433_7539
static EIF_POINTER inline_F433_7539 (EIF_POINTER arg1)
{
	return gdk_pixbuf_get_pixels ((GdkPixbuf*) arg1);
	;
}
#define INLINE_F433_7539
#endif
#ifndef INLINE_F433_7548
static EIF_POINTER inline_F433_7548 (EIF_POINTER arg1)
{
	return gdk_pixbuf_new_from_xpm_data ((const char**) arg1);
	;
}
#define INLINE_F433_7548
#endif
#ifndef INLINE_F432_7370
static EIF_POINTER inline_F432_7370 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (g_object_ref_sink((gpointer) arg1))
	;
}
#define INLINE_F432_7370
#endif
#ifndef INLINE_F868_13459
static int inline_F868_13459 (EIF_POINTER arg1)
{
	return (int) (gtk_widget_has_screen ((GtkWidget*) arg1))
	;
}
#define INLINE_F868_13459
#endif
#ifndef INLINE_F868_13460
static EIF_POINTER inline_F868_13460 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gtk_widget_get_screen ((GtkWidget*) arg1))
	;
}
#define INLINE_F868_13460
#endif
#ifndef INLINE_F868_13433
static EIF_POINTER inline_F868_13433 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gtk_icon_theme_get_for_screen ((GdkScreen*) arg1))
	;
}
#define INLINE_F868_13433
#endif
#ifndef INLINE_F868_13434
static EIF_POINTER inline_F868_13434 (void)
{
	return gtk_icon_theme_get_default ();
	;
}
#define INLINE_F868_13434
#endif
#ifndef INLINE_F868_13432
static EIF_POINTER inline_F868_13432 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_8 arg3, EIF_INTEGER_8 arg4, EIF_POINTER arg5)
{
	return (EIF_POINTER) (gtk_icon_theme_load_icon ((GtkIconTheme *)arg1,
                          (const gchar *)arg2,
                          (gint)arg3,
                          (GtkIconLookupFlags)arg4,
                          (GError **)arg5))
	;
}
#define INLINE_F868_13432
#endif
#ifndef INLINE_F432_7371
static EIF_POINTER inline_F432_7371 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (g_object_ref((gpointer) arg1))
	;
}
#define INLINE_F432_7371
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_PIXEL_BUFFER_IMP}.make_with_size */
void F3334_38335 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEAA("make_with_size", 3333, Current, 0, 2, 41418);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) ((EIF_INTEGER_32) GTK_MAJOR_VERSION >= ((EIF_INTEGER_32) 2L))) {
		RTHOOK(2);
		ti4_1 = inline_F433_7526();
		tp1 = inline_F433_7550(ti4_1, (EIF_BOOLEAN) 1, ((EIF_INTEGER_32) 8L), arg1, arg2);
		F3334_38357(Current, tp1);
		RTHOOK(3);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
		inline_F433_7552(tp1, ((EIF_INTEGER_32) 0L));
	} else {
		RTHOOK(4);
		tr1 = RTLNSMART(eif_new_type(4262, 0).id);
		F4263_52460(RTCW(tr1), arg1, arg2);
		RTAR(Current, tr1);
		*(EIF_REFERENCE *)(Current + _REFACS_3_) = (EIF_REFERENCE) tr1;
	}
	RTHOOK(5);
	RTLE;
	RTEE;
}

/* {EV_PIXEL_BUFFER_IMP}.make_with_pixmap */
void F3334_38337 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(4);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,Current);
	RTLIU(4);
	
	RTEAA("make_with_pixmap", 3333, Current, 1, 1, 41420);
	RTGC;
	RTHOOK(1);
	tr1 = *(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_3_);
	loc1 = tr1;
	loc1 = RTRV(eif_new_type(3535, 0x00),loc1);
	if (EIF_TEST(loc1)) {
		RTHOOK(2);
		tp1 = F3536_41238(loc1);
		F3334_38357(Current, tp1);
	}
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {EV_PIXEL_BUFFER_IMP}.make */
void F3334_38338 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEAA("make", 3333, Current, 0, 0, 41421);
	RTGC;
	RTHOOK(1);
	tr1 = RTLNSMART(eif_new_type(3147, 0).id);
	tp1 = F1_33(Current);
	F3148_34591(RTCW(tr1), tp1, ((EIF_INTEGER_32) 0L));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_2_) = (EIF_REFERENCE) tr1;
	RTHOOK(2);
	F3309_37660(Current, (EIF_BOOLEAN) 1);
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {EV_PIXEL_BUFFER_IMP}.set_with_named_path */
void F3334_38339 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,loc4);
	RTLR(3,loc5);
	RTLR(4,tr1);
	RTLR(5,Current);
	RTLR(6,loc6);
	RTLIU(7);
	
	RTEAA("set_with_named_path", 3333, Current, 6, 1, 41422);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) ((EIF_INTEGER_32) GTK_MAJOR_VERSION >= ((EIF_INTEGER_32) 2L))) {
		RTHOOK(2);
		loc1 = RTLNS(eif_new_type(3146, 0x00).id, 3146, _OBJSIZ_0_1_0_1_0_1_0_0_);
		F3147_34575(RTCW(loc1), arg1);
		RTHOOK(3);
		tp1 = *(EIF_POINTER *)(RTCW(loc1)+ _PTROFF_0_1_0_1_0_0_);
		loc3 = inline_F433_7546(tp1, (EIF_POINTER *) &(loc2));
		RTHOOK(4);
		tb1 = !loc2;
		if ((EIF_BOOLEAN) !tb1) {
			RTHOOK(5);
			loc4 = RTLNS(eif_new_type(3145, 0x00).id, 3145, _OBJSIZ_1_1_0_0_0_1_0_0_);
			F1760_24411(RTCW(loc4), loc2);
			RTHOOK(6);
			loc5 = F3146_34567(RTCW(loc4));
			RTHOOK(7);
			F3146_34569(RTCW(loc4));
			RTHOOK(8);
			tr1 = RTLNS(eif_new_type(1850, 0x00).id, 1850, _OBJSIZ_0_0_0_0_0_0_0_0_);
			F1851_25892(RTCW(tr1), loc5);
		} else {
			RTHOOK(9);
			F3334_38357(Current, loc3);
		}
	} else {
		RTHOOK(10);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_3_);
		loc6 = tr1;
		if (EIF_TEST(loc6)) {
			RTHOOK(11);
			F4263_52472(loc6, arg1);
		}
	}
	RTHOOK(12);
	RTLE;
	RTEE;
}

/* {EV_PIXEL_BUFFER_IMP}.sub_pixmap */
EIF_REFERENCE F3334_38343 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,Result);
	RTLR(1,loc1);
	RTLR(2,Current);
	RTLR(3,arg1);
	RTLR(4,loc3);
	RTLIU(5);
	
	RTEAA("sub_pixmap", 3333, Current, 3, 1, 41398);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) ((EIF_INTEGER_32) GTK_MAJOR_VERSION >= ((EIF_INTEGER_32) 2L))) {
		RTHOOK(2);
		Result = RTLNS(eif_new_type(4262, 0x00).id, 4262, _OBJSIZ_6_3_0_1_0_0_0_0_);
		F3245_36776(RTCW(Result));
		RTHOOK(3);
		loc1 = *(EIF_REFERENCE *)(RTCW(Result) + _REFACS_3_);
		loc1 = RTRV(eif_new_type(3535, 0x00), loc1);
		RTHOOK(4);
		RTCT0("l_pixmap_imp /= Void", EX_CHECK);
		if ((EIF_BOOLEAN)(loc1 != NULL)) {
			RTCK0;
		} else {
			RTCF0;
		}
		RTHOOK(5);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_0_);
		ti4_2 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_1_);
		ti4_3 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_2_);
		ti4_4 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_3_);
		loc2 = inline_F433_7551(tp1, ti4_1, ti4_2, ti4_3, ti4_4);
		RTHOOK(6);
		F3536_41249(RTCW(loc1), loc2);
		RTHOOK(7);
		inline_F432_7372(loc2);
	} else {
		RTHOOK(8);
		loc3 = *(EIF_REFERENCE *)(Current + _REFACS_3_);
		RTHOOK(9);
		RTCT0("l_internal_pixmap /= Void", EX_CHECK);
		if ((EIF_BOOLEAN)(loc3 != NULL)) {
			RTCK0;
		} else {
			RTCF0;
		}
		RTHOOK(10);
		Result = F3272_37122(RTCW(loc3), arg1);
		RTHOOK(11);
		RTLE;
		RTEE;
		return (EIF_REFERENCE) Result;
	}
	RTHOOK(12);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_PIXEL_BUFFER_IMP}.sub_pixel_buffer */
EIF_REFERENCE F3334_38345 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REAL_64 tr8_1;
	EIF_REAL_64 tr8_2;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_INTEGER_32 ti4_5;
	EIF_BOOLEAN tb1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,loc3);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,arg1);
	RTLR(4,tr2);
	RTLR(5,Result);
	RTLIU(6);
	
	RTEAA("sub_pixel_buffer", 3333, Current, 3, 1, 41400);
	RTGC;
	RTHOOK(1);
	tr1 = F3333_38331(Current);
	loc3 = F4126_49933(RTCW(tr1), arg1);
	RTHOOK(2);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_0_);
	ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_1_);
	ti4_3 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_2_);
	ti4_4 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_3_);
	loc1 = inline_F433_7551(tp1, ti4_1, ti4_2, ti4_3, ti4_4);
	RTHOOK(3);
	tr1 = F3333_38331(Current);
	tb1 = F4126_49931(RTCW(tr1), arg1);
	if (tb1) {
		RTHOOK(4);
		if ((EIF_BOOLEAN) !EIF_TEST (inline_F433_7394(loc1))) {
			RTHOOK(5);
			tr1 = (EIF_REFERENCE) eif_builtin_ANY_generator__s1 (Current);
			tr2 = RTMS_EX_H(".sub_pixel_buffer gdk_is_pixbuf is False",40,544893541);
			tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R39245[Dtype(RTCW(tr1))-4024])(tr1, tr2);
			F1_27(Current, tr1);
		}
		RTHOOK(6);
		Result = RTLNS(eif_new_type(3274, 0x00).id, 3274, _OBJSIZ_3_0_0_0_0_0_0_0_);
		F3245_36776(RTCW(Result));
		RTHOOK(7);
		tr1 = *(EIF_REFERENCE *)(RTCW(Result) + _REFACS_2_);
		tp1 = inline_F433_7540(loc1);
		F3334_38357(RTCW(tr1), tp1);
	} else {
		RTHOOK(8);
		Result = RTLNS(eif_new_type(3274, 0x00).id, 3274, _OBJSIZ_3_0_0_0_0_0_0_0_);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_2_);
		ti4_2 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_3_);
		F3275_37214(RTCW(Result), ti4_1, ti4_2);
		RTHOOK(9);
		tb1 = F4126_49924(RTCW(loc3));
		if (tb1) {
			RTHOOK(10);
			tr1 = *(EIF_REFERENCE *)(RTCW(Result) + _REFACS_2_);
			loc2 = *(EIF_POINTER *)(RTCW(tr1)+ _PTROFF_4_2_0_0_0_0_);
			RTHOOK(11);
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_0_);
			ti4_1 = eif_max_int32 ((EIF_INTEGER_32) -ti4_1,((EIF_INTEGER_32) 0L));
			ti4_2 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_1_);
			ti4_2 = eif_max_int32 ((EIF_INTEGER_32) -ti4_2,((EIF_INTEGER_32) 0L));
			ti4_3 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_2_);
			ti4_4 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_0_0_0_3_);
			ti4_5 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_0_);
			ti4_5 = eif_max_int32 ((EIF_INTEGER_32) -ti4_5,((EIF_INTEGER_32) 0L));
			tr8_1 = (EIF_REAL_64) (ti4_5);
			ti4_5 = *(EIF_INTEGER_32 *)(RTCW(arg1)+ _LNGOFF_0_0_0_0_);
			ti4_5 = eif_max_int32 ((EIF_INTEGER_32) -ti4_5,((EIF_INTEGER_32) 0L));
			tr8_2 = (EIF_REAL_64) (ti4_5);
			ti4_5 = (EIF_INTEGER_32) GDK_INTERP_NEAREST;
			gdk_pixbuf_scale((GdkPixbuf*) loc1, (GdkPixbuf*) loc2, (int) ti4_1, (int) ti4_2, (int) ti4_3, (int) ti4_4, (double) tr8_1, (double) tr8_2, (double) (EIF_REAL_64) 1.0, (double) (EIF_REAL_64) 1.0, (GdkInterpType) ti4_5);
		}
	}
	RTHOOK(12);
	inline_F432_7372(loc1);
	RTHOOK(13);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_PIXEL_BUFFER_IMP}.draw_text */
void F3334_38348 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_POINTER loc8 = (EIF_POINTER) 0;
	EIF_POINTER loc9 = (EIF_POINTER) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc11 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc12 = (EIF_REFERENCE) 0;
	EIF_NATURAL_8 loc13 = (EIF_NATURAL_8) 0;
	EIF_NATURAL_8 loc14 = (EIF_NATURAL_8) 0;
	EIF_POINTER tp1;
	EIF_REAL_64 tr8_1;
	EIF_REAL_64 tr8_2;
	EIF_REAL_64 tr8_3;
	EIF_REAL_64 tr8_4;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	RTLD;
	
	RTLI(10);
	RTLR(0,arg3);
	RTLR(1,loc5);
	RTLR(2,arg2);
	RTLR(3,arg1);
	RTLR(4,Current);
	RTLR(5,loc6);
	RTLR(6,loc12);
	RTLR(7,loc7);
	RTLR(8,loc10);
	RTLR(9,loc11);
	RTLIU(10);
	
	RTEAA("draw_text", 3333, Current, 14, 3, 41403);
	RTGC;
	RTHOOK(1);
	loc1 = F4127_49960(RTCW(arg3));
	RTHOOK(2);
	loc2 = F4127_49962(RTCW(arg3));
	RTHOOK(3);
	loc5 = F3256_36960(RTCW(arg2), arg1);
	RTHOOK(4);
	ti4_1 = eif_integer_32_item(RTCW(loc5),1);
	ti4_2 = F3334_38350(Current);
	loc3 = eif_min_int32 ((EIF_INTEGER_32) (loc1 + ti4_1),ti4_2);
	loc3 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc3 - loc1);
	RTHOOK(5);
	ti4_1 = eif_integer_32_item(RTCW(loc5),2);
	ti4_2 = F3334_38351(Current);
	loc4 = eif_min_int32 ((EIF_INTEGER_32) (loc2 + ti4_1),ti4_2);
	loc4 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc4 - loc2);
	RTHOOK(6);
	loc6 = RTLNS(eif_new_type(4262, 0x00).id, 4262, _OBJSIZ_6_3_0_1_0_0_0_0_);
	F4263_52460(RTCW(loc6), loc3, loc4);
	RTHOOK(7);
	F3271_37113(RTCW(loc6), arg2);
	RTHOOK(8);
	loc13 = (EIF_NATURAL_8) (EIF_NATURAL_8) ((EIF_INTEGER_32) 75L);
	RTHOOK(9);
	loc14 = (EIF_NATURAL_8) (EIF_NATURAL_8) ((EIF_INTEGER_32) 200L);
	RTHOOK(10);
	loc12 = RTLNS(eif_new_type(3851, 0x00).id, 3851, _OBJSIZ_2_0_0_0_0_0_0_0_);
	ti4_1 = (EIF_INTEGER_32) loc13;
	ti4_2 = (EIF_INTEGER_32) loc13;
	ti4_3 = (EIF_INTEGER_32) loc13;
	F3852_45400(RTCW(loc12), ti4_1, ti4_2, ti4_3);
	RTHOOK(11);
	F3258_36992(RTCW(loc6), loc12);
	RTHOOK(12);
	F3272_37135(RTCW(loc6));
	RTHOOK(13);
	F3272_37140(RTCW(loc6), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), arg1);
	RTHOOK(14);
	loc7 = *(EIF_REFERENCE *)(RTCW(loc6) + _REFACS_3_);
	loc7 = RTRV(eif_new_type(3535, 0x00), loc7);
	RTHOOK(15);
	RTCT0("l_pixmap_imp /= Void", EX_CHECK);
	if ((EIF_BOOLEAN)(loc7 != NULL)) {
		RTCK0;
	} else {
		RTCF0;
	}
	RTHOOK(16);
	loc10 = RTLNS(eif_new_type(3274, 0x00).id, 3274, _OBJSIZ_3_0_0_0_0_0_0_0_);
	F3245_36776(RTCW(loc10));
	RTHOOK(17);
	loc11 = *(EIF_REFERENCE *)(RTCW(loc10) + _REFACS_1_);
	loc11 = RTRV(eif_new_type(3333, 0x00), loc11);
	RTHOOK(18);
	RTCT0("l_pixbuf_imp /= Void", EX_CHECK);
	if ((EIF_BOOLEAN)(loc11 != NULL)) {
		RTCK0;
	} else {
		RTCF0;
	}
	RTHOOK(19);
	tp1 = inline_F433_7559();
	tp1 = inline_F433_7561(tp1);
	loc8 = inline_F433_7538(tp1, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), loc3, loc4);
	RTHOOK(20);
	loc9 = (EIF_POINTER) gdk_pixbuf_add_alpha((GdkPixbuf*) loc8, (gboolean) (EIF_BOOLEAN) 1, (guchar) loc13, (guchar) loc13, (guchar) loc13);
	RTHOOK(21);
	inline_F432_7372(loc8);
	RTHOOK(22);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	loc8 = tp1;
	RTHOOK(23);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
	tr8_1 = (EIF_REAL_64) (((EIF_INTEGER_32) 0L));
	tr8_2 = (EIF_REAL_64) (((EIF_INTEGER_32) 0L));
	tr8_3 = (EIF_REAL_64) (((EIF_INTEGER_32) 1L));
	tr8_4 = (EIF_REAL_64) (((EIF_INTEGER_32) 1L));
	ti4_1 = (EIF_INTEGER_32) loc14;
	gdk_pixbuf_composite((GdkPixbuf*) loc9, (GdkPixbuf*) tp1, (int) loc1, (int) loc2, (int) loc3, (int) loc4, (double) tr8_1, (double) tr8_2, (double) tr8_3, (double) tr8_4, (GdkInterpType) ((EIF_INTEGER_32) 0L), (int) ti4_1);
	RTHOOK(24);
	inline_F432_7372(loc9);
	RTHOOK(25);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	loc9 = tp1;
	RTHOOK(26);
	RTLE;
	RTEE;
}

/* {EV_PIXEL_BUFFER_IMP}.draw_pixel_buffer_with_x_y */
void F3334_38349 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_REFERENCE arg3)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc5 = (EIF_INTEGER_32) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_REAL_64 tr8_1;
	EIF_REAL_64 tr8_2;
	EIF_REAL_64 tr8_3;
	EIF_REAL_64 tr8_4;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,arg3);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("draw_pixel_buffer_with_x_y", 3333, Current, 5, 3, 41404);
	RTGC;
	RTHOOK(1);
	loc1 = *(EIF_REFERENCE *)(RTCW(arg3) + _REFACS_1_);
	loc1 = RTRV(eif_new_type(3333, 0x00), loc1);
	RTHOOK(2);
	RTCT0("l_pixel_buffer_imp /= Void", EX_CHECK);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		RTCK0;
	} else {
		RTCF0;
	}
	RTHOOK(3);
	loc4 = (EIF_INTEGER_32) arg1;
	RTHOOK(4);
	loc5 = (EIF_INTEGER_32) arg2;
	RTHOOK(5);
	loc2 = F3334_38350(RTCW(loc1));
	RTHOOK(6);
	loc3 = F3334_38351(RTCW(loc1));
	RTHOOK(7);
	if ((EIF_BOOLEAN) (loc4 < ((EIF_INTEGER_32) 0L))) {
		RTHOOK(8);
		loc4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
		RTHOOK(9);
		loc2 += arg1;
		RTHOOK(10);
		if ((EIF_BOOLEAN) (loc2 < ((EIF_INTEGER_32) 0L))) {
			RTHOOK(11);
			loc2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
		}
	}
	RTHOOK(12);
	if ((EIF_BOOLEAN) (loc5 < ((EIF_INTEGER_32) 0L))) {
		RTHOOK(13);
		loc3 += arg2;
		RTHOOK(14);
		loc5 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
		RTHOOK(15);
		if ((EIF_BOOLEAN) (loc3 < ((EIF_INTEGER_32) 0L))) {
			RTHOOK(16);
			loc3 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
		}
	}
	RTHOOK(17);
	if ((EIF_BOOLEAN) ((EIF_INTEGER_32) (loc4 + loc2) > F3334_38350(Current))) {
		RTHOOK(18);
		loc2 = F3334_38350(Current);
		loc2 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc2 - loc4);
		RTHOOK(19);
		if ((EIF_BOOLEAN) (loc4 > F3334_38350(Current))) {
			RTHOOK(20);
			loc4 = F3334_38350(Current);
		}
		RTHOOK(21);
		if ((EIF_BOOLEAN) (loc2 < ((EIF_INTEGER_32) 0L))) {
			RTHOOK(22);
			loc2 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
		}
	}
	RTHOOK(23);
	if ((EIF_BOOLEAN) ((EIF_INTEGER_32) (loc5 + loc3) > F3334_38351(Current))) {
		RTHOOK(24);
		loc3 = F3334_38351(Current);
		loc3 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc3 - loc5);
		RTHOOK(25);
		if ((EIF_BOOLEAN) (loc5 > F3334_38351(Current))) {
			RTHOOK(26);
			loc5 = F3334_38351(Current);
		}
		RTHOOK(27);
		if ((EIF_BOOLEAN) (loc3 < ((EIF_INTEGER_32) 0L))) {
			RTHOOK(28);
			loc3 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
		}
	}
	RTHOOK(29);
	tp1 = *(EIF_POINTER *)(RTCW(loc1)+ _PTROFF_4_2_0_0_0_0_);
	tp2 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
	tr8_1 = (EIF_REAL_64) (arg1);
	tr8_2 = (EIF_REAL_64) (arg2);
	tr8_3 = (EIF_REAL_64) (((EIF_INTEGER_32) 1L));
	tr8_4 = (EIF_REAL_64) (((EIF_INTEGER_32) 1L));
	ti4_1 = (EIF_INTEGER_32) GDK_INTERP_HYPER;
	gdk_pixbuf_composite((GdkPixbuf*) tp1, (GdkPixbuf*) tp2, (int) loc4, (int) loc5, (int) loc2, (int) loc3, (double) tr8_1, (double) tr8_2, (double) tr8_3, (double) tr8_4, (GdkInterpType) ti4_1, (int) ((EIF_INTEGER_32) 255L));
	RTHOOK(30);
	RTLE;
	RTEE;
}

/* {EV_PIXEL_BUFFER_IMP}.width */
EIF_INTEGER_32 F3334_38350 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEAA("width", 3333, Current, 1, 0, 41405);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) ((EIF_INTEGER_32) GTK_MAJOR_VERSION > ((EIF_INTEGER_32) 1L))) {
		RTHOOK(2);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
		RTHOOK(3);
		RTLE;
		RTEE;
		return (EIF_INTEGER_32) inline_F433_7541(tp1);
	} else {
		RTHOOK(4);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_3_);
		loc1 = tr1;
		if (EIF_TEST(loc1)) {
			RTHOOK(5);
			ti4_1 = F3261_37052(loc1);
			RTHOOK(6);
			RTLE;
			RTEE;
			return (EIF_INTEGER_32) ti4_1;
		}
	}
	RTHOOK(7);
	RTLE;
	RTEE;
	return (EIF_INTEGER_32) 0;
}

/* {EV_PIXEL_BUFFER_IMP}.height */
EIF_INTEGER_32 F3334_38351 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEAA("height", 3333, Current, 1, 0, 41406);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) ((EIF_INTEGER_32) GTK_MAJOR_VERSION > ((EIF_INTEGER_32) 1L))) {
		RTHOOK(2);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
		RTHOOK(3);
		RTLE;
		RTEE;
		return (EIF_INTEGER_32) inline_F433_7542(tp1);
	} else {
		RTHOOK(4);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_3_);
		loc1 = tr1;
		if (EIF_TEST(loc1)) {
			RTHOOK(5);
			ti4_1 = F3261_37053(loc1);
			RTHOOK(6);
			RTLE;
			RTEE;
			return (EIF_INTEGER_32) ti4_1;
		}
	}
	RTHOOK(7);
	RTLE;
	RTEE;
	return (EIF_INTEGER_32) 0;
}

/* {EV_PIXEL_BUFFER_IMP}.data_ptr */
EIF_POINTER F3334_38352 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	
	
	RTEAA("data_ptr", 3333, Current, 0, 0, 41407);
	RTHOOK(1);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
	RTHOOK(2);
	RTEE;
	return (EIF_POINTER) inline_F433_7539(tp1);
}

/* {EV_PIXEL_BUFFER_IMP}.set_from_stock */
void F3334_38353 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(5);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,Current);
	RTLR(3,loc2);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTEAA("set_from_stock", 3333, Current, 2, 1, 41408);
	RTGC;
	RTHOOK(1);
	loc1 = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	tp1 = *(EIF_POINTER *)(RTCW(loc1)+ _PTROFF_0_1_0_1_0_0_);
	F3334_38354(Current, tp1);
	RTHOOK(3);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
	tb1 = !tp1;
	if (tb1) {
		RTHOOK(4);
		loc2 = F3147_34578(RTCW(loc1));
		RTHOOK(5);
		F4029_48060(RTCW(loc2));
		RTHOOK(6);
		tb1 = '\01';
		tr1 = RTMS32_EX_H("i\000\000\000n\000\000\000f\000\000\000o\000\000\000r\000\000\000m\000\000\000a\000\000\000t\000\000\000i\000\000\000o\000\000\000n\000\000\000",11,684350830);
		tb2 = F4026_47897(RTCW(loc2), tr1);
		if (!tb2) {
			tr1 = RTMS32_EX_H("d\000\000\000i\000\000\000a\000\000\000l\000\000\000o\000\000\000g\000\000\000-\000\000\000i\000\000\000n\000\000\000f\000\000\000o\000\000\000r\000\000\000m\000\000\000a\000\000\000t\000\000\000i\000\000\000o\000\000\000n\000\000\000",18,1358691950);
			tb2 = F4026_47897(RTCW(loc2), tr1);
			tb1 = tb2;
		}
		if (tb1) {
			RTHOOK(7);
			tp1 = (EIF_POINTER) information_pixmap_xpm();
			tp1 = inline_F433_7548(tp1);
			F3334_38357(Current, tp1);
		} else {
			RTHOOK(8);
			tr1 = RTMS32_EX_H("d\000\000\000i\000\000\000a\000\000\000l\000\000\000o\000\000\000g\000\000\000-\000\000\000e\000\000\000r\000\000\000r\000\000\000o\000\000\000r\000\000\000",12,1766531442);
			tb1 = F4026_47897(RTCW(loc2), tr1);
			if (tb1) {
				RTHOOK(9);
				tp1 = (EIF_POINTER) error_pixmap_xpm();
				tp1 = inline_F433_7548(tp1);
				F3334_38357(Current, tp1);
			} else {
				RTHOOK(10);
				tr1 = RTMS32_EX_H("d\000\000\000i\000\000\000a\000\000\000l\000\000\000o\000\000\000g\000\000\000-\000\000\000q\000\000\000u\000\000\000e\000\000\000s\000\000\000t\000\000\000i\000\000\000o\000\000\000n\000\000\000",15,601717614);
				tb1 = F4026_47897(RTCW(loc2), tr1);
				if (tb1) {
					RTHOOK(11);
					tp1 = (EIF_POINTER) question_pixmap_xpm();
					tp1 = inline_F433_7548(tp1);
					F3334_38357(Current, tp1);
				} else {
					RTHOOK(12);
					tr1 = RTMS32_EX_H("d\000\000\000i\000\000\000a\000\000\000l\000\000\000o\000\000\000g\000\000\000-\000\000\000w\000\000\000a\000\000\000r\000\000\000n\000\000\000i\000\000\000n\000\000\000g\000\000\000",14,1187148903);
					tb1 = F4026_47897(RTCW(loc2), tr1);
					if (tb1) {
						RTHOOK(13);
						tp1 = (EIF_POINTER) warning_pixmap_xpm();
						tp1 = inline_F433_7548(tp1);
						F3334_38357(Current, tp1);
					} else {
						RTHOOK(14);
						F3334_38335(Current, ((EIF_INTEGER_32) 48L), ((EIF_INTEGER_32) 48L));
					}
				}
			}
		}
	}
	RTHOOK(15);
	RTLE;
	RTEE;
}

/* {EV_PIXEL_BUFFER_IMP}.set_from_stock_id */
void F3334_38354 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_POINTER loc5 = (EIF_POINTER) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,loc6);
	RTLIU(2);
	
	RTEAA("set_from_stock_id", 3333, Current, 6, 1, 41409);
	RTGC;
	RTHOOK(1);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp2 = tp1;
	loc2 = (EIF_POINTER) gtk_label_new((gchar*) tp2);
	RTHOOK(2);
	tp1 = inline_F432_7370(loc2);
	loc2 = (EIF_POINTER) tp1;
	RTHOOK(3);
	if (EIF_TEST (inline_F868_13459(loc2))) {
		RTHOOK(4);
		loc5 = inline_F868_13460(loc2);
		RTHOOK(5);
		loc3 = inline_F868_13433(loc5);
	} else {
		RTHOOK(6);
		loc3 = inline_F868_13434();
	}
	RTHOOK(7);
	loc1 = inline_F868_13432(loc3, arg1, (EIF_INTEGER_8) ((EIF_INTEGER_32) 48L), (EIF_INTEGER_8) ((EIF_INTEGER_32) 0L), (EIF_POINTER *) &(loc4));
	RTHOOK(8);
	tb1 = !loc4;
	if ((EIF_BOOLEAN) !tb1) {
		RTHOOK(9);
		loc6 = RTLNS(eif_new_type(3145, 0x00).id, 3145, _OBJSIZ_1_1_0_0_0_1_0_0_);
		F1760_24411(RTCW(loc6), loc4);
		RTHOOK(10);
		F3146_34569(RTCW(loc6));
	}
	RTHOOK(11);
	inline_F432_7372(loc2);
	RTHOOK(12);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	loc2 = tp1;
	RTHOOK(13);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc1 != tp1)) {
		RTHOOK(14);
		if ((EIF_BOOLEAN) !EIF_TEST (inline_F433_7394(loc1))) {
		}
		RTHOOK(15);
		tp1 = inline_F433_7540(loc1);
		F3334_38357(Current, tp1);
		RTHOOK(16);
		inline_F432_7372(loc1);
	}
	RTHOOK(17);
	RTLE;
	RTEE;
}

/* {EV_PIXEL_BUFFER_IMP}.set_gdkpixbuf */
void F3334_38357 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("set_gdkpixbuf", 3333, Current, 1, 1, 41412);
	RTGC;
	RTHOOK(1);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(*(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_) != tp1)) {
		RTHOOK(2);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
		inline_F432_7372(tp1);
	}
	RTHOOK(3);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(arg1 != tp1)) {
		RTHOOK(4);
		loc1 = inline_F432_7371(arg1);
		RTHOOK(5);
		if ((EIF_BOOLEAN) !(EIF_BOOLEAN) EIF_TEST(gdk_pixbuf_get_has_alpha((GdkPixbuf*) arg1))) {
			RTHOOK(6);
			tp1 = (EIF_POINTER) gdk_pixbuf_add_alpha((GdkPixbuf*) loc1, (gboolean) (EIF_BOOLEAN) 0, (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L), (guchar) (EIF_NATURAL_8) ((EIF_INTEGER_32) 0L));
			*(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_) = (EIF_POINTER) tp1;
			RTHOOK(7);
			inline_F432_7372(arg1);
			RTHOOK(8);
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_);
			tp1 = inline_F432_7371(tp1);
			*(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_) = (EIF_POINTER) tp1;
		} else {
			RTHOOK(9);
			*(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_) = (EIF_POINTER) arg1;
		}
	} else {
		RTHOOK(10);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp2 = tp1;
		*(EIF_POINTER *)(Current+ _PTROFF_4_2_0_0_0_0_) = (EIF_POINTER) tp2;
	}
	RTHOOK(11);
	RTLE;
	RTEE;
}

/* {EV_PIXEL_BUFFER_IMP}.destroy */
void F3334_38360 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("destroy", 3333, Current, 0, 0, 41415);
	RTGC;
	RTHOOK(1);
	F3309_37662(Current, (EIF_BOOLEAN) 1);
	RTHOOK(2);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp2 = tp1;
	F3334_38357(Current, tp2);
	RTHOOK(3);
	F3309_37661(Current, (EIF_BOOLEAN) 1);
	RTHOOK(4);
	RTLE;
	RTEE;
}

/* {EV_PIXEL_BUFFER_IMP}.dispose */
void F3334_38361 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("dispose", 3333, Current, 0, 0, 41416);
	RTGC;
	RTHOOK(1);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp2 = tp1;
	F3334_38357(Current, tp2);
	RTHOOK(2);
	RTLE;
	RTEE;
}

void EIF_Minit2283 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
